!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1134)
  integer, parameter :: nGC_3229 = 1
  integer, parameter :: nGC_3228 = 2
  integer, parameter :: nGC_3224 = 3
  integer, parameter :: nGC_3223 = 4
  integer, parameter :: nGC_3222 = 5
  integer, parameter :: nGC_3139 = 6
  integer, parameter :: nGC_3138 = 7
  integer, parameter :: nGC_3658 = 8
  integer, parameter :: nGC_3132 = 9
  integer, parameter :: nGC_3130 = 10
  integer, parameter :: nGC_3137 = 11
  integer, parameter :: nGC_3188 = 12
  integer, parameter :: nGC_3189 = 13
  integer, parameter :: nGC_3606 = 14
  integer, parameter :: nGC_MZ_GF = 15
  integer, parameter :: nGC_28 = 16
  integer, parameter :: nGC_29 = 17
  integer, parameter :: nGC_22 = 18
  integer, parameter :: nGC_23 = 19
  integer, parameter :: nGC_20 = 20
  integer, parameter :: nGC_21 = 21
  integer, parameter :: nGC_26 = 22
  integer, parameter :: nGC_27 = 23
  integer, parameter :: nGC_24 = 24
  integer, parameter :: nGC_25 = 25
  integer, parameter :: nGC_152 = 26
  integer, parameter :: nGC_3181 = 27
  integer, parameter :: nGC_328 = 28
  integer, parameter :: nGC_GG = 29
  integer, parameter :: nGC_3611 = 30
  integer, parameter :: nGC_3676 = 31
  integer, parameter :: nGC_MH = 32
  integer, parameter :: nGC_MMW_GF = 33
  integer, parameter :: nGC_3667 = 34
  integer, parameter :: nGC_3666 = 35
  integer, parameter :: nGC_3665 = 36
  integer, parameter :: nGC_3664 = 37
  integer, parameter :: nGC_3663 = 38
  integer, parameter :: nGC_3661 = 39
  integer, parameter :: nGC_3166 = 40
  integer, parameter :: nGC_3182 = 41
  integer, parameter :: nGC_3183 = 42
  integer, parameter :: nGC_3186 = 43
  integer, parameter :: nGC_3187 = 44
  integer, parameter :: nGC_3184 = 45
  integer, parameter :: nGC_70 = 46
  integer, parameter :: nGC_71 = 47
  integer, parameter :: nGC_3164 = 48
  integer, parameter :: nGC_3165 = 49
  integer, parameter :: nGC_3160 = 50
  integer, parameter :: nGC_3161 = 51
  integer, parameter :: nGC_3162 = 52
  integer, parameter :: nGC_3163 = 53
  integer, parameter :: nGC_I = 54
  integer, parameter :: nGC_3168 = 55
  integer, parameter :: nGC_3169 = 56
  integer, parameter :: nGC_3652 = 57
  integer, parameter :: nGC_3653 = 58
  integer, parameter :: nGC_3 = 59
  integer, parameter :: nGC_2 = 60
  integer, parameter :: nGC_1 = 61
  integer, parameter :: nGC_7 = 62
  integer, parameter :: nGC_6 = 63
  integer, parameter :: nGC_5 = 64
  integer, parameter :: nGC_4 = 65
  integer, parameter :: nGC_9 = 66
  integer, parameter :: nGC_8 = 67
  integer, parameter :: nGC_3103 = 68
  integer, parameter :: nGC_3100 = 69
  integer, parameter :: nGC_53 = 70
  integer, parameter :: nGC_52 = 71
  integer, parameter :: nGC_51 = 72
  integer, parameter :: nGC_50 = 73
  integer, parameter :: nGC_57 = 74
  integer, parameter :: nGC_56 = 75
  integer, parameter :: nGC_55 = 76
  integer, parameter :: nGC_59 = 77
  integer, parameter :: nGC_58 = 78
  integer, parameter :: nGC_3131 = 79
  integer, parameter :: nGC_3107 = 80
  integer, parameter :: nGC_4970 = 81
  integer, parameter :: nGC_3104 = 82
  integer, parameter :: nGC_MI = 83
  integer, parameter :: nGC_3136 = 84
  integer, parameter :: nGC_5288 = 85
  integer, parameter :: nGC_3135 = 86
  integer, parameter :: nGC_MB = 87
  integer, parameter :: nGC_162 = 88
  integer, parameter :: nGC_3134 = 89
  integer, parameter :: nGC_5080 = 90
  integer, parameter :: nGC_5083 = 91
  integer, parameter :: nGC_5084 = 92
  integer, parameter :: nGC_6009 = 93
  integer, parameter :: nGC_MZ = 94
  integer, parameter :: nGC_5597 = 95
  integer, parameter :: nGC_5593 = 96
  integer, parameter :: nGC_9145 = 97
  integer, parameter :: nGC_9146 = 98
  integer, parameter :: nGC_3129 = 99
  integer, parameter :: nGC_3121 = 100
  integer, parameter :: nGC_MW = 101
  integer, parameter :: nGC_5626 = 102
  integer, parameter :: nGC_6134 = 103
  integer, parameter :: nGC_6585 = 104
  integer, parameter :: nGC_6137 = 105
  integer, parameter :: nGC_5172 = 106
  integer, parameter :: nGC_1250 = 107
  integer, parameter :: nGC_3180 = 108
  integer, parameter :: nGC_17 = 109
  integer, parameter :: nGC_16 = 110
  integer, parameter :: nGC_15 = 111
  integer, parameter :: nGC_14 = 112
  integer, parameter :: nGC_13 = 113
  integer, parameter :: nGC_12 = 114
  integer, parameter :: nGC_11 = 115
  integer, parameter :: nGC_10 = 116
  integer, parameter :: nGC_3659 = 117
  integer, parameter :: nGC_19 = 118
  integer, parameter :: nGC_18 = 119
  integer, parameter :: nGC_3640 = 120
  integer, parameter :: nGC_5481 = 121
  integer, parameter :: nGC_5480 = 122
  integer, parameter :: nGC_3669 = 123
  integer, parameter :: nGC_5870 = 124
  integer, parameter :: nGC_5871 = 125
  integer, parameter :: nGC_3167 = 126
  integer, parameter :: nGC_3198 = 127
  integer, parameter :: nGC_3668 = 128
  integer, parameter :: nGC_3202 = 129
  integer, parameter :: nGC_732 = 130
  integer, parameter :: nGC_5098 = 131
  integer, parameter :: nGC_3194 = 132
  integer, parameter :: nGC_3483 = 133
  integer, parameter :: nGC_3197 = 134
  integer, parameter :: nGC_4940 = 135
  integer, parameter :: nGC_3572 = 136
  integer, parameter :: nGC_3579 = 137
  integer, parameter :: nGC_5053 = 138
  integer, parameter :: nGC_5050 = 139
  integer, parameter :: nGC_3674 = 140
  integer, parameter :: nGC_3675 = 141
  integer, parameter :: nGC_3670 = 142
  integer, parameter :: nGC_3671 = 143
  integer, parameter :: nGC_3672 = 144
  integer, parameter :: nGC_3673 = 145
  integer, parameter :: nGC_5474 = 146
  integer, parameter :: nGC_5662 = 147
  integer, parameter :: nGC_5467 = 148
  integer, parameter :: nGC_3271 = 149
  integer, parameter :: nGC_3272 = 150
  integer, parameter :: nGC_3274 = 151
  integer, parameter :: nGC_3193 = 152
  integer, parameter :: nGC_63 = 153
  integer, parameter :: nGC_7303 = 154
  integer, parameter :: nGC_3151 = 155
  integer, parameter :: nGC_3150 = 156
  integer, parameter :: nGC_3153 = 157
  integer, parameter :: nGC_3152 = 158
  integer, parameter :: nGC_3155 = 159
  integer, parameter :: nGC_3154 = 160
  integer, parameter :: nGC_3157 = 161
  integer, parameter :: nGC_3156 = 162
  integer, parameter :: nGC_1172 = 163
  integer, parameter :: nGC_8190 = 164
  integer, parameter :: nGC_5020 = 165
  integer, parameter :: nGC_HHHH = 166
  integer, parameter :: nGC_MM = 167
  integer, parameter :: nGC_5203 = 168
  integer, parameter :: nGC_5204 = 169
  integer, parameter :: nGC_9557 = 170
  integer, parameter :: nGC_MC = 171
  integer, parameter :: nGC_5363 = 172
  integer, parameter :: nGC_6504 = 173
  integer, parameter :: nGC_8840 = 174
  integer, parameter :: nGC_3569 = 175
  integer, parameter :: nGC_3273 = 176
  integer, parameter :: nGC_48 = 177
  integer, parameter :: nGC_49 = 178
  integer, parameter :: nGC_44 = 179
  integer, parameter :: nGC_45 = 180
  integer, parameter :: nGC_46 = 181
  integer, parameter :: nGC_47 = 182
  integer, parameter :: nGC_40 = 183
  integer, parameter :: nGC_41 = 184
  integer, parameter :: nGC_42 = 185
  integer, parameter :: nGC_43 = 186
  integer, parameter :: nGC_3219 = 187
  integer, parameter :: nGC_6588 = 188
  integer, parameter :: nGC_3191 = 189
  integer, parameter :: nGC_3630 = 190
  integer, parameter :: nGC_3208 = 191
  integer, parameter :: nGC_3632 = 192
  integer, parameter :: nGC_3635 = 193
  integer, parameter :: nGC_3636 = 194
  integer, parameter :: nGC_3631 = 195
  integer, parameter :: nGC_3200 = 196
  integer, parameter :: nGC_3203 = 197
  integer, parameter :: nGC_54 = 198
  integer, parameter :: nGC_3205 = 199
  integer, parameter :: nGC_3207 = 200
  integer, parameter :: nGC_3206 = 201
  integer, parameter :: nGC_3440 = 202
  integer, parameter :: nGC_5740 = 203
  integer, parameter :: nGC_3113 = 204
  integer, parameter :: nGC_5424 = 205
  integer, parameter :: nGC_3115 = 206
  integer, parameter :: nGC_3114 = 207
  integer, parameter :: nGC_3117 = 208
  integer, parameter :: nGC_3116 = 209
  integer, parameter :: nGC_3111 = 210
  integer, parameter :: nGC_3110 = 211
  integer, parameter :: nGC_3112 = 212
  integer, parameter :: nGC_3119 = 213
  integer, parameter :: nGC_3118 = 214
  integer, parameter :: nGC_8371 = 215
  integer, parameter :: nGC_3682 = 216
  integer, parameter :: nGC_3296 = 217
  integer, parameter :: nGC_7596 = 218
  integer, parameter :: nGC_5737 = 219
  integer, parameter :: nGC_3159 = 220
  integer, parameter :: nGC_GPGMGPGM = 221
  integer, parameter :: nGC_8375 = 222
  integer, parameter :: nGC_3571 = 223
  integer, parameter :: nGC_3158 = 224
  integer, parameter :: nGC_5328 = 225
  integer, parameter :: nGC_8188 = 226
  integer, parameter :: nGC_30 = 227
  integer, parameter :: nGC_3594 = 228
  integer, parameter :: nGC_3596 = 229
  integer, parameter :: nGC_3599 = 230
  integer, parameter :: nGC_6215 = 231
  integer, parameter :: nGC_6219 = 232
  integer, parameter :: nGC_6218 = 233
  integer, parameter :: nGC_5602 = 234
  integer, parameter :: nGC_7595 = 235
  integer, parameter :: nGC_5601 = 236
  integer, parameter :: nGC_3097 = 237
  integer, parameter :: nGC_5991 = 238
  integer, parameter :: nGC_5990 = 239
  integer, parameter :: nGC_5255 = 240
  integer, parameter :: nGC_6061 = 241
  integer, parameter :: nGC_5253 = 242
  integer, parameter :: nGC_3678 = 243
  integer, parameter :: nGC_3679 = 244
  integer, parameter :: nGC_3201 = 245
  integer, parameter :: nGC_7599 = 246
  integer, parameter :: nGC_MW_GF = 247
  integer, parameter :: nGC_3621 = 248
  integer, parameter :: nGC_75 = 249
  integer, parameter :: nGC_74 = 250
  integer, parameter :: nGC_77 = 251
  integer, parameter :: nGC_76 = 252
  integer, parameter :: nGC_6773 = 253
  integer, parameter :: nGC_73 = 254
  integer, parameter :: nGC_72 = 255
  integer, parameter :: nGC_79 = 256
  integer, parameter :: nGC_78 = 257
  integer, parameter :: nGC_3239 = 258
  integer, parameter :: nGC_3677 = 259
  integer, parameter :: nGC_6214 = 260
  integer, parameter :: nGC_HHGG = 261
  integer, parameter :: nGC_3120 = 262
  integer, parameter :: nGC_3234 = 263
  integer, parameter :: nGC_3227 = 264
  integer, parameter :: nGC_3235 = 265
  integer, parameter :: nGC_5987 = 266
  integer, parameter :: nGC_3561 = 267
  integer, parameter :: nGC_3628 = 268
  integer, parameter :: nGC_3565 = 269
  integer, parameter :: nGC_3567 = 270
  integer, parameter :: nGC_3230 = 271
  integer, parameter :: nGC_3231 = 272
  integer, parameter :: nGC_3398 = 273
  integer, parameter :: nGC_3226 = 274
  integer, parameter :: nGC_3232 = 275
  integer, parameter :: nGC_3233 = 276
  integer, parameter :: nGC_3644 = 277
  integer, parameter :: nGC_3185 = 278
  integer, parameter :: nGC_3367 = 279
  integer, parameter :: nGC_3369 = 280
  integer, parameter :: nGC_3236 = 281
  integer, parameter :: nGC_MS = 282
  integer, parameter :: nGC_3148 = 283
  integer, parameter :: nGC_3149 = 284
  integer, parameter :: nGC_3146 = 285
  integer, parameter :: nGC_3147 = 286
  integer, parameter :: nGC_3144 = 287
  integer, parameter :: nGC_3145 = 288
  integer, parameter :: nGC_3142 = 289
  integer, parameter :: nGC_3143 = 290
  integer, parameter :: nGC_3140 = 291
  integer, parameter :: nGC_3141 = 292
  integer, parameter :: nGC_3270 = 293
  integer, parameter :: nGC_7304 = 294
  integer, parameter :: nGC_7305 = 295
  integer, parameter :: nGC_212 = 296
  integer, parameter :: nGC_3092 = 297
  integer, parameter :: nGC_3093 = 298
  integer, parameter :: nGC_3094 = 299
  integer, parameter :: nGC_3095 = 300
  integer, parameter :: nGC_3096 = 301
  integer, parameter :: nGC_3098 = 302
  integer, parameter :: nGC_3099 = 303
  integer, parameter :: nGC_3610 = 304
  integer, parameter :: nGC_3616 = 305
  integer, parameter :: nGC_3277 = 306
  integer, parameter :: nGC_5470 = 307
  integer, parameter :: nGC_5603 = 308
  integer, parameter :: nGC_5210 = 309
  integer, parameter :: nGC_6008 = 310
  integer, parameter :: nGC_82 = 311
  integer, parameter :: nGC_3225 = 312
  integer, parameter :: nGC_83 = 313
  integer, parameter :: nGC_84 = 314
  integer, parameter :: nGC_3221 = 315
  integer, parameter :: nGC_5471 = 316
  integer, parameter :: nGC_8837 = 317
  integer, parameter :: nGC_86 = 318
  integer, parameter :: nGC_5920 = 319
  integer, parameter :: nGC_3620 = 320
  integer, parameter :: nGC_3220 = 321
  integer, parameter :: nGC_39 = 322
  integer, parameter :: nGC_38 = 323
  integer, parameter :: nGC_31 = 324
  integer, parameter :: nGC_33 = 325
  integer, parameter :: nGC_32 = 326
  integer, parameter :: nGC_35 = 327
  integer, parameter :: nGC_34 = 328
  integer, parameter :: nGC_37 = 329
  integer, parameter :: nGC_36 = 330
  integer, parameter :: nGC_144 = 331
  integer, parameter :: nGC_9149 = 332
  integer, parameter :: nGC_5600 = 333
  integer, parameter :: nGC_4997 = 334
  integer, parameter :: nGC_148 = 335
  integer, parameter :: nGC_3643 = 336
  integer, parameter :: nGC_MU = 337
  integer, parameter :: nGC_1150 = 338
  integer, parameter :: nGC_3609 = 339
  integer, parameter :: nGC_3608 = 340
  integer, parameter :: nGC_3605 = 341
  integer, parameter :: nGC_3604 = 342
  integer, parameter :: nGC_3607 = 343
  integer, parameter :: nGC_3601 = 344
  integer, parameter :: nGC_3600 = 345
  integer, parameter :: nGC_3603 = 346
  integer, parameter :: nGC_3602 = 347
  integer, parameter :: nGC_3279 = 348
  integer, parameter :: nGC_7623 = 349
  integer, parameter :: nGC_MT = 350
  integer, parameter :: nGC_66 = 351
  integer, parameter :: nGC_GGH = 352
  integer, parameter :: nGC_3258 = 353
  integer, parameter :: nGC_3598 = 354
  integer, parameter :: nGC_3321 = 355
  integer, parameter :: nGC_3326 = 356
  integer, parameter :: nGC_3324 = 357
  integer, parameter :: nGC_3102 = 358
  integer, parameter :: nGC_3452 = 359
  integer, parameter :: nGC_3453 = 360
  integer, parameter :: nGC_3106 = 361
  integer, parameter :: nGC_3455 = 362
  integer, parameter :: nGC_3456 = 363
  integer, parameter :: nGC_3105 = 364
  integer, parameter :: nGC_3108 = 365
  integer, parameter :: nGC_ME = 366
  integer, parameter :: nGC_MD = 367
  integer, parameter :: nGC_3519 = 368
  integer, parameter :: nGC_3518 = 369
  integer, parameter :: nGC_3511 = 370
  integer, parameter :: nGC_3510 = 371
  integer, parameter :: nGC_6007 = 372
  integer, parameter :: nGC_5475 = 373
  integer, parameter :: nGC_5078 = 374
  integer, parameter :: nGC_5079 = 375
  integer, parameter :: nGC_5174 = 376
  integer, parameter :: nGC_5176 = 377
  integer, parameter :: nGC_6119 = 378
  integer, parameter :: nGC_5077 = 379
  integer, parameter :: nGC_3216 = 380
  integer, parameter :: nGC_3217 = 381
  integer, parameter :: nGC_3214 = 382
  integer, parameter :: nGC_3215 = 383
  integer, parameter :: nGC_3212 = 384
  integer, parameter :: nGC_3213 = 385
  integer, parameter :: nGC_3210 = 386
  integer, parameter :: nGC_3211 = 387
  integer, parameter :: nGC_3195 = 388
  integer, parameter :: nGC_3412 = 389
  integer, parameter :: nGC_3196 = 390
  integer, parameter :: nGC_3190 = 391
  integer, parameter :: nGC_3218 = 392
  integer, parameter :: nGC_3192 = 393
  integer, parameter :: nGC_3389 = 394
  integer, parameter :: nGC_3109 = 395
  integer, parameter :: nGC_5379 = 396
  integer, parameter :: nGC_8860 = 397
  integer, parameter :: nGC_3177 = 398
  integer, parameter :: nGC_3176 = 399
  integer, parameter :: nGC_3175 = 400
  integer, parameter :: nGC_3174 = 401
  integer, parameter :: nGC_3173 = 402
  integer, parameter :: nGC_3172 = 403
  integer, parameter :: nGC_3171 = 404
  integer, parameter :: nGC_3170 = 405
  integer, parameter :: nGC_3179 = 406
  integer, parameter :: nGC_3178 = 407
  integer, parameter :: nGC_3128 = 408
  integer, parameter :: nGC_3588 = 409
  integer, parameter :: nGC_3280 = 410
  integer, parameter :: nGC_3586 = 411
  integer, parameter :: nGC_3584 = 412
  integer, parameter :: nGC_3585 = 413
  integer, parameter :: nGC_3582 = 414
  integer, parameter :: nGC_3583 = 415
  integer, parameter :: nGC_3580 = 416
  integer, parameter :: nGC_3581 = 417
  integer, parameter :: nGC_3204 = 418
  integer, parameter :: nGC_MTA = 419
  integer, parameter :: nGC_3122 = 420
  integer, parameter :: nGC_5986 = 421
  integer, parameter :: nGC_3123 = 422
  integer, parameter :: nGC_3124 = 423
  integer, parameter :: nGC_3125 = 424
  integer, parameter :: nGC_88 = 425
  integer, parameter :: nGC_3126 = 426
  integer, parameter :: nGC_80 = 427
  integer, parameter :: nGC_81 = 428
  integer, parameter :: nGC_5919 = 429
  integer, parameter :: nGC_3127 = 430
  integer, parameter :: nGC_85 = 431
  integer, parameter :: nGC_87 = 432
  integer, parameter :: nGC_1276 = 433
  integer, parameter :: nGC_3466 = 434
  integer, parameter :: nGC_5186 = 435
  integer, parameter :: nGC_3199 = 436
  integer, parameter :: nGC_618 = 437
  integer, parameter :: nGC_3307 = 438
  integer, parameter :: nGC_67 = 439
  integer, parameter :: nGC_64 = 440
  integer, parameter :: nGC_65 = 441
  integer, parameter :: nGC_62 = 442
  integer, parameter :: nGC_60 = 443
  integer, parameter :: nGC_61 = 444
  integer, parameter :: nGC_3101 = 445
  integer, parameter :: nGC_6709 = 446
  integer, parameter :: nGC_3509 = 447
  integer, parameter :: nGC_68 = 448
  integer, parameter :: nGC_69 = 449
  integer, parameter :: nGC_7600 = 450
  integer, parameter :: nGC_4967 = 451
  integer, parameter :: nGC_3133 = 452
  integer, parameter :: nGC_3209 = 453
  integer, parameter :: nGC_6660 = 454
  integer, parameter :: nGC_6661 = 455
  integer, parameter :: nGC_HHH = 456
  integer, parameter :: nGC_5427 = 457
  integer, parameter :: nGC_9148 = 458
  integer, parameter :: nGC_112 = 459
  integer, parameter :: nGC_3656 = 460
  integer, parameter :: nGC_3657 = 461
  integer, parameter :: nGC_3654 = 462
  integer, parameter :: nGC_3655 = 463
  integer, parameter :: nGC_3559 = 464
  integer, parameter :: nGC_3558 = 465
  integer, parameter :: nGC_3650 = 466
  integer, parameter :: nGC_3651 = 467
  integer, parameter :: nGC_3555 = 468
  integer, parameter :: nGC_3554 = 469
  integer, parameter :: nGC_3557 = 470
  integer, parameter :: nGC_3556 = 471
  integer, parameter :: nGC_3551 = 472
  integer, parameter :: nGC_3550 = 473
  integer, parameter :: nGC_3553 = 474
  integer, parameter :: nGC_3552 = 475
  integer, parameter :: nGC_5137 = 476
  integer, parameter :: nGC_5136 = 477
  integer, parameter :: nGC_3382 = 478
  integer, parameter :: nGC_5139 = 479
  integer, parameter :: nGC_5138 = 480
  integer, parameter :: nGC_3386 = 481
  integer, parameter :: nGC_5687 = 482
  integer, parameter :: nGC_5682 = 483
  integer, parameter :: nGC_6010 = 484
  integer, parameter :: nGC_5441 = 485
  integer, parameter :: nGC_3312 = 486
  integer, parameter :: nGC_5443 = 487
  integer, parameter :: nGC_5442 = 488
  integer, parameter :: nGC_5445 = 489
  integer, parameter :: nGC_5444 = 490
  integer, parameter :: nGC_5447 = 491
  integer, parameter :: nGC_5446 = 492
  integer, parameter :: nGC_3252 = 493
  integer, parameter :: nGC_5448 = 494
  integer, parameter :: nGC_9150 = 495
  integer, parameter :: nGC_3257 = 496
  integer, parameter :: nGC_3254 = 497
  integer, parameter :: nGC_3429 = 498
  integer, parameter :: nGC_3428 = 499
  integer, parameter :: nGC_3421 = 500
  integer, parameter :: nGC_3420 = 501
  integer, parameter :: nGC_3423 = 502
  integer, parameter :: nGC_3422 = 503
  integer, parameter :: nGC_3425 = 504
  integer, parameter :: nGC_3424 = 505
  integer, parameter :: nGC_3427 = 506
  integer, parameter :: nGC_3426 = 507
  integer, parameter :: nGC_5007 = 508
  integer, parameter :: nGC_5006 = 509
  integer, parameter :: nGC_5615 = 510
  integer, parameter :: nGC_6087 = 511
  integer, parameter :: nGC_6080 = 512
  integer, parameter :: nGC_6082 = 513
  integer, parameter :: nGC_6121 = 514
  integer, parameter :: nGC_6120 = 515
  integer, parameter :: nGC_470 = 516
  integer, parameter :: nGC_6334 = 517
  integer, parameter :: nGC_6332 = 518
  integer, parameter :: nGC_6333 = 519
  integer, parameter :: nGC_6331 = 520
  integer, parameter :: nGC_6622 = 521
  integer, parameter :: nGC_6623 = 522
  integer, parameter :: nGC_5369 = 523
  integer, parameter :: nGC_982 = 524
  integer, parameter :: nGC_3407 = 525
  integer, parameter :: nGC_5869 = 526
  integer, parameter :: nGC_5868 = 527
  integer, parameter :: nGC_3618 = 528
  integer, parameter :: nGC_3619 = 529
  integer, parameter :: nGC_3349 = 530
  integer, parameter :: nGC_5334 = 531
  integer, parameter :: nGC_3617 = 532
  integer, parameter :: nGC_6945 = 533
  integer, parameter :: nGC_6944 = 534
  integer, parameter :: nGC_3313 = 535
  integer, parameter :: nGC_6690 = 536
  integer, parameter :: nGC_3311 = 537
  integer, parameter :: nGC_3310 = 538
  integer, parameter :: nGC_4937 = 539
  integer, parameter :: nGC_4933 = 540
  integer, parameter :: nGC_3500 = 541
  integer, parameter :: nGC_3501 = 542
  integer, parameter :: nGC_3465 = 543
  integer, parameter :: nGC_3464 = 544
  integer, parameter :: nGC_3467 = 545
  integer, parameter :: nGC_3461 = 546
  integer, parameter :: nGC_3460 = 547
  integer, parameter :: nGC_3463 = 548
  integer, parameter :: nGC_3462 = 549
  integer, parameter :: nGC_6287 = 550
  integer, parameter :: nGC_3253 = 551
  integer, parameter :: nGC_3319 = 552
  integer, parameter :: nGC_5167 = 553
  integer, parameter :: nGC_5164 = 554
  integer, parameter :: nGC_5165 = 555
  integer, parameter :: nGC_3263 = 556
  integer, parameter :: nGC_3262 = 557
  integer, parameter :: nGC_3261 = 558
  integer, parameter :: nGC_3260 = 559
  integer, parameter :: nGC_3267 = 560
  integer, parameter :: nGC_3266 = 561
  integer, parameter :: nGC_3265 = 562
  integer, parameter :: nGC_3264 = 563
  integer, parameter :: nGC_3269 = 564
  integer, parameter :: nGC_3268 = 565
  integer, parameter :: nGC_8859 = 566
  integer, parameter :: nGC_5308 = 567
  integer, parameter :: nGC_5309 = 568
  integer, parameter :: nGC_1282 = 569
  integer, parameter :: nGC_1280 = 570
  integer, parameter :: nGC_5276 = 571
  integer, parameter :: nGC_5274 = 572
  integer, parameter :: nGC_5275 = 573
  integer, parameter :: nGC_5273 = 574
  integer, parameter :: nGC_3485 = 575
  integer, parameter :: nGC_3484 = 576
  integer, parameter :: nGC_3481 = 577
  integer, parameter :: nGC_5370 = 578
  integer, parameter :: nGC_6654 = 579
  integer, parameter :: nGC_6657 = 580
  integer, parameter :: nGC_3622 = 581
  integer, parameter :: nGC_3548 = 582
  integer, parameter :: nGC_3549 = 583
  integer, parameter :: nGC_3238 = 584
  integer, parameter :: nGC_3626 = 585
  integer, parameter :: nGC_3625 = 586
  integer, parameter :: nGC_3624 = 587
  integer, parameter :: nGC_3542 = 588
  integer, parameter :: nGC_3543 = 589
  integer, parameter :: nGC_3629 = 590
  integer, parameter :: nGC_3237 = 591
  integer, parameter :: nGC_3546 = 592
  integer, parameter :: nGC_3547 = 593
  integer, parameter :: nGC_3544 = 594
  integer, parameter :: nGC_3545 = 595
  integer, parameter :: nGC_5089 = 596
  integer, parameter :: nGC_7530 = 597
  integer, parameter :: nGC_7536 = 598
  integer, parameter :: nGC_5129 = 599
  integer, parameter :: nGC_5085 = 600
  integer, parameter :: nGC_5086 = 601
  integer, parameter :: nGC_5694 = 602
  integer, parameter :: nGC_5695 = 603
  integer, parameter :: nGC_5696 = 604
  integer, parameter :: nGC_5693 = 605
  integer, parameter :: nGC_3300 = 606
  integer, parameter :: nGC_3301 = 607
  integer, parameter :: nGC_3302 = 608
  integer, parameter :: nGC_3303 = 609
  integer, parameter :: nGC_3304 = 610
  integer, parameter :: nGC_3305 = 611
  integer, parameter :: nGC_3306 = 612
  integer, parameter :: nGC_5590 = 613
  integer, parameter :: nGC_3308 = 614
  integer, parameter :: nGC_3309 = 615
  integer, parameter :: nGC_5454 = 616
  integer, parameter :: nGC_9147 = 617
  integer, parameter :: nGC_3436 = 618
  integer, parameter :: nGC_3437 = 619
  integer, parameter :: nGC_3434 = 620
  integer, parameter :: nGC_3435 = 621
  integer, parameter :: nGC_3432 = 622
  integer, parameter :: nGC_3433 = 623
  integer, parameter :: nGC_3430 = 624
  integer, parameter :: nGC_3431 = 625
  integer, parameter :: nGC_3438 = 626
  integer, parameter :: nGC_3439 = 627
  integer, parameter :: nGC_3281 = 628
  integer, parameter :: nGC_3283 = 629
  integer, parameter :: nGC_3282 = 630
  integer, parameter :: nGC_3285 = 631
  integer, parameter :: nGC_3284 = 632
  integer, parameter :: nGC_3286 = 633
  integer, parameter :: nGC_3537 = 634
  integer, parameter :: nGC_3536 = 635
  integer, parameter :: nGC_3535 = 636
  integer, parameter :: nGC_3534 = 637
  integer, parameter :: nGC_3533 = 638
  integer, parameter :: nGC_3532 = 639
  integer, parameter :: nGC_3531 = 640
  integer, parameter :: nGC_3530 = 641
  integer, parameter :: nGC_5151 = 642
  integer, parameter :: nGC_5019 = 643
  integer, parameter :: nGC_5016 = 644
  integer, parameter :: nGC_5014 = 645
  integer, parameter :: nGC_5015 = 646
  integer, parameter :: nGC_6139 = 647
  integer, parameter :: nGC_5625 = 648
  integer, parameter :: nGC_5627 = 649
  integer, parameter :: nGC_5529 = 650
  integer, parameter :: nGC_392 = 651
  integer, parameter :: nGC_5331 = 652
  integer, parameter :: nGC_5336 = 653
  integer, parameter :: nGC_5338 = 654
  integer, parameter :: nGC_6088 = 655
  integer, parameter :: nGC_6290 = 656
  integer, parameter :: nGC_3520 = 657
  integer, parameter :: nGC_3393 = 658
  integer, parameter :: nGC_5528 = 659
  integer, parameter :: nGC_2268 = 660
  integer, parameter :: nGC_5244 = 661
  integer, parameter :: nGC_5243 = 662
  integer, parameter :: nGC_3647 = 663
  integer, parameter :: nGC_3646 = 664
  integer, parameter :: nGC_3379 = 665
  integer, parameter :: nGC_3378 = 666
  integer, parameter :: nGC_6950 = 667
  integer, parameter :: nGC_6951 = 668
  integer, parameter :: nGC_3371 = 669
  integer, parameter :: nGC_3370 = 670
  integer, parameter :: nGC_3373 = 671
  integer, parameter :: nGC_3372 = 672
  integer, parameter :: nGC_3375 = 673
  integer, parameter :: nGC_3374 = 674
  integer, parameter :: nGC_3377 = 675
  integer, parameter :: nGC_3376 = 676
  integer, parameter :: nGC_5416 = 677
  integer, parameter :: nGC_7622 = 678
  integer, parameter :: nGC_5415 = 679
  integer, parameter :: nGC_5790 = 680
  integer, parameter :: nGC_5418 = 681
  integer, parameter :: nGC_5792 = 682
  integer, parameter :: nGC_9152 = 683
  integer, parameter :: nGC_4941 = 684
  integer, parameter :: nGC_3573 = 685
  integer, parameter :: nGC_3570 = 686
  integer, parameter :: nGC_3577 = 687
  integer, parameter :: nGC_3576 = 688
  integer, parameter :: nGC_3575 = 689
  integer, parameter :: nGC_3574 = 690
  integer, parameter :: nGC_3578 = 691
  integer, parameter :: nGC_5056 = 692
  integer, parameter :: nGC_5666 = 693
  integer, parameter :: nGC_3364 = 694
  integer, parameter :: nGC_3275 = 695
  integer, parameter :: nGC_3276 = 696
  integer, parameter :: nGC_5460 = 697
  integer, parameter :: nGC_3278 = 698
  integer, parameter :: nGC_3362 = 699
  integer, parameter :: nGC_3363 = 700
  integer, parameter :: nGC_3409 = 701
  integer, parameter :: nGC_3408 = 702
  integer, parameter :: nGC_1294 = 703
  integer, parameter :: nGC_3406 = 704
  integer, parameter :: nGC_3405 = 705
  integer, parameter :: nGC_3404 = 706
  integer, parameter :: nGC_3403 = 707
  integer, parameter :: nGC_3402 = 708
  integer, parameter :: nGC_3401 = 709
  integer, parameter :: nGC_3400 = 710
  integer, parameter :: nGC_6140 = 711
  integer, parameter :: nGC_3368 = 712
  integer, parameter :: nGC_3242 = 713
  integer, parameter :: nGC_5563 = 714
  integer, parameter :: nGC_5208 = 715
  integer, parameter :: nGC_3494 = 716
  integer, parameter :: nGC_3495 = 717
  integer, parameter :: nGC_3496 = 718
  integer, parameter :: nGC_3497 = 719
  integer, parameter :: nGC_3490 = 720
  integer, parameter :: nGC_3491 = 721
  integer, parameter :: nGC_6507 = 722
  integer, parameter :: nGC_9558 = 723
  integer, parameter :: nGC_3498 = 724
  integer, parameter :: nGC_3499 = 725
  integer, parameter :: nGC_6313 = 726
  integer, parameter :: nGC_5931 = 727
  integer, parameter :: nGC_5932 = 728
  integer, parameter :: nGC_5417 = 729
  integer, parameter :: nGC_4986 = 730
  integer, parameter :: nGC_3589 = 731
  integer, parameter :: nGC_4983 = 732
  integer, parameter :: nGC_4982 = 733
  integer, parameter :: nGC_4981 = 734
  integer, parameter :: nGC_4980 = 735
  integer, parameter :: nGC_5293 = 736
  integer, parameter :: nGC_5294 = 737
  integer, parameter :: nGC_5295 = 738
  integer, parameter :: nGC_5296 = 739
  integer, parameter :: nGC_5096 = 740
  integer, parameter :: nGC_3633 = 741
  integer, parameter :: nGC_3634 = 742
  integer, parameter :: nGC_3637 = 743
  integer, parameter :: nGC_3638 = 744
  integer, parameter :: nGC_3639 = 745
  integer, parameter :: nGC_6039 = 746
  integer, parameter :: nGC_5744 = 747
  integer, parameter :: nGC_5745 = 748
  integer, parameter :: nGC_6033 = 749
  integer, parameter :: nGC_6034 = 750
  integer, parameter :: nGC_5429 = 751
  integer, parameter :: nGC_3339 = 752
  integer, parameter :: nGC_3338 = 753
  integer, parameter :: nGC_3335 = 754
  integer, parameter :: nGC_3334 = 755
  integer, parameter :: nGC_3337 = 756
  integer, parameter :: nGC_3336 = 757
  integer, parameter :: nGC_3331 = 758
  integer, parameter :: nGC_3330 = 759
  integer, parameter :: nGC_3333 = 760
  integer, parameter :: nGC_3332 = 761
  integer, parameter :: nGC_3443 = 762
  integer, parameter :: nGC_3442 = 763
  integer, parameter :: nGC_3441 = 764
  integer, parameter :: nGC_3447 = 765
  integer, parameter :: nGC_3446 = 766
  integer, parameter :: nGC_3445 = 767
  integer, parameter :: nGC_3444 = 768
  integer, parameter :: nGC_3449 = 769
  integer, parameter :: nGC_3448 = 770
  integer, parameter :: nGC_3681 = 771
  integer, parameter :: nGC_3529 = 772
  integer, parameter :: nGC_3298 = 773
  integer, parameter :: nGC_3299 = 774
  integer, parameter :: nGC_3524 = 775
  integer, parameter :: nGC_3297 = 776
  integer, parameter :: nGC_3526 = 777
  integer, parameter :: nGC_3295 = 778
  integer, parameter :: nGC_3521 = 779
  integer, parameter :: nGC_3522 = 780
  integer, parameter :: nGC_3291 = 781
  integer, parameter :: nGC_5144 = 782
  integer, parameter :: nGC_7597 = 783
  integer, parameter :: nGC_7598 = 784
  integer, parameter :: nGC_5064 = 785
  integer, parameter :: nGC_8374 = 786
  integer, parameter :: nGC_3680 = 787
  integer, parameter :: nGC_3525 = 788
  integer, parameter :: nGC_8189 = 789
  integer, parameter :: nGC_3294 = 790
  integer, parameter :: nGC_3591 = 791
  integer, parameter :: nGC_3590 = 792
  integer, parameter :: nGC_3593 = 793
  integer, parameter :: nGC_3527 = 794
  integer, parameter :: nGC_3595 = 795
  integer, parameter :: nGC_3597 = 796
  integer, parameter :: nGC_6464 = 797
  integer, parameter :: nGC_11169 = 798
  integer, parameter :: nGC_6462 = 799
  integer, parameter :: nGC_3293 = 800
  integer, parameter :: nGC_3290 = 801
  integer, parameter :: nGC_6217 = 802
  integer, parameter :: nGC_5516 = 803
  integer, parameter :: nGC_3523 = 804
  integer, parameter :: nGC_5555 = 805
  integer, parameter :: nGC_5492 = 806
  integer, parameter :: nGC_5493 = 807
  integer, parameter :: nGC_5559 = 808
  integer, parameter :: nGC_5491 = 809
  integer, parameter :: nGC_5494 = 810
  integer, parameter :: nGC_5495 = 811
  integer, parameter :: nGC_5396 = 812
  integer, parameter :: nGC_5391 = 813
  integer, parameter :: nGC_5392 = 814
  integer, parameter :: nGC_5845 = 815
  integer, parameter :: nGC_5846 = 816
  integer, parameter :: nGC_5057 = 817
  integer, parameter :: nGC_6922 = 818
  integer, parameter :: nGC_6079 = 819
  integer, parameter :: nGC_3627 = 820
  integer, parameter :: nGC_6076 = 821
  integer, parameter :: nGC_5789 = 822
  integer, parameter :: nGC_3540 = 823
  integer, parameter :: nGC_3560 = 824
  integer, parameter :: nGC_3562 = 825
  integer, parameter :: nGC_3563 = 826
  integer, parameter :: nGC_3564 = 827
  integer, parameter :: nGC_3566 = 828
  integer, parameter :: nGC_3568 = 829
  integer, parameter :: nGC_10154 = 830
  integer, parameter :: nGC_3541 = 831
  integer, parameter :: nGC_3649 = 832
  integer, parameter :: nGC_3648 = 833
  integer, parameter :: nGC_3399 = 834
  integer, parameter :: nGC_3641 = 835
  integer, parameter :: nGC_3392 = 836
  integer, parameter :: nGC_3391 = 837
  integer, parameter :: nGC_3642 = 838
  integer, parameter :: nGC_3645 = 839
  integer, parameter :: nGC_3396 = 840
  integer, parameter :: nGC_3395 = 841
  integer, parameter :: nGC_3394 = 842
  integer, parameter :: nGC_7533 = 843
  integer, parameter :: nGC_5670 = 844
  integer, parameter :: nGC_5671 = 845
  integer, parameter :: nGC_5101 = 846
  integer, parameter :: nGC_5104 = 847
  integer, parameter :: nGC_5105 = 848
  integer, parameter :: nGC_5106 = 849
  integer, parameter :: nGC_5107 = 850
  integer, parameter :: nGC_3366 = 851
  integer, parameter :: nGC_5476 = 852
  integer, parameter :: nGC_3365 = 853
  integer, parameter :: nGC_3248 = 854
  integer, parameter :: nGC_3360 = 855
  integer, parameter :: nGC_3361 = 856
  integer, parameter :: nGC_3245 = 857
  integer, parameter :: nGC_3244 = 858
  integer, parameter :: nGC_3247 = 859
  integer, parameter :: nGC_3246 = 860
  integer, parameter :: nGC_3241 = 861
  integer, parameter :: nGC_3240 = 862
  integer, parameter :: nGC_3243 = 863
  integer, parameter :: nGC_5127 = 864
  integer, parameter :: nGC_7535 = 865
  integer, parameter :: nGC_5793 = 866
  integer, parameter :: nGC_3418 = 867
  integer, parameter :: nGC_3419 = 868
  integer, parameter :: nGC_3414 = 869
  integer, parameter :: nGC_3415 = 870
  integer, parameter :: nGC_3416 = 871
  integer, parameter :: nGC_3417 = 872
  integer, parameter :: nGC_3410 = 873
  integer, parameter :: nGC_3411 = 874
  integer, parameter :: nGC_6586 = 875
  integer, parameter :: nGC_6255 = 876
  integer, parameter :: nGC_7538 = 877
  integer, parameter :: nGC_5032 = 878
  integer, parameter :: nGC_5039 = 879
  integer, parameter :: nGC_5477 = 880
  integer, parameter :: nGC_3612 = 881
  integer, parameter :: nGC_3613 = 882
  integer, parameter :: nGC_3347 = 883
  integer, parameter :: nGC_3341 = 884
  integer, parameter :: nGC_5213 = 885
  integer, parameter :: nGC_3614 = 886
  integer, parameter :: nGC_5217 = 887
  integer, parameter :: nGC_3615 = 888
  integer, parameter :: nGC_6451 = 889
  integer, parameter :: nGC_6450 = 890
  integer, parameter :: nGC_6512 = 891
  integer, parameter :: nGC_6459 = 892
  integer, parameter :: nGC_6511 = 893
  integer, parameter :: nGC_8830 = 894
  integer, parameter :: nGC_5922 = 895
  integer, parameter :: nGC_5921 = 896
  integer, parameter :: nGC_4987 = 897
  integer, parameter :: nGC_4995 = 898
  integer, parameter :: nGC_4996 = 899
  integer, parameter :: nGC_4991 = 900
  integer, parameter :: nGC_3359 = 901
  integer, parameter :: nGC_3358 = 902
  integer, parameter :: nGC_3357 = 903
  integer, parameter :: nGC_3356 = 904
  integer, parameter :: nGC_3355 = 905
  integer, parameter :: nGC_3354 = 906
  integer, parameter :: nGC_3353 = 907
  integer, parameter :: nGC_3352 = 908
  integer, parameter :: nGC_3351 = 909
  integer, parameter :: nGC_3350 = 910
  integer, parameter :: nGC_3592 = 911
  integer, parameter :: nGC_3623 = 912
  integer, parameter :: nGC_7513 = 913
  integer, parameter :: nGC_6740 = 914
  integer, parameter :: nGC_3328 = 915
  integer, parameter :: nGC_3329 = 916
  integer, parameter :: nGC_5430 = 917
  integer, parameter :: nGC_3327 = 918
  integer, parameter :: nGC_3325 = 919
  integer, parameter :: nGC_3450 = 920
  integer, parameter :: nGC_3451 = 921
  integer, parameter :: nGC_6465 = 922
  integer, parameter :: nGC_3454 = 923
  integer, parameter :: nGC_6828 = 924
  integer, parameter :: nGC_3457 = 925
  integer, parameter :: nGC_3458 = 926
  integer, parameter :: nGC_3459 = 927
  integer, parameter :: nGC_6829 = 928
  integer, parameter :: nGC_6826 = 929
  integer, parameter :: nGC_3488 = 930
  integer, parameter :: nGC_3513 = 931
  integer, parameter :: nGC_3512 = 932
  integer, parameter :: nGC_3515 = 933
  integer, parameter :: nGC_3514 = 934
  integer, parameter :: nGC_3516 = 935
  integer, parameter :: nGC_5175 = 936
  integer, parameter :: nGC_5177 = 937
  integer, parameter :: nGC_5070 = 938
  integer, parameter :: nGC_5178 = 939
  integer, parameter :: nGC_5725 = 940
  integer, parameter :: nGC_5726 = 941
  integer, parameter :: nGC_5727 = 942
  integer, parameter :: nGC_5647 = 943
  integer, parameter :: nGC_3528 = 944
  integer, parameter :: nGC_6216 = 945
  integer, parameter :: nGC_8861 = 946
  integer, parameter :: nGC_8191 = 947
  integer, parameter :: nGC_6556 = 948
  integer, parameter :: nGC_6557 = 949
  integer, parameter :: nGC_6554 = 950
  integer, parameter :: nGC_6555 = 951
  integer, parameter :: nGC_3413 = 952
  integer, parameter :: nGC_5311 = 953
  integer, parameter :: nGC_5310 = 954
  integer, parameter :: nGC_11171 = 955
  integer, parameter :: nGC_240 = 956
  integer, parameter :: nGC_3587 = 957
  integer, parameter :: nGC_3539 = 958
  integer, parameter :: nGC_3538 = 959
  integer, parameter :: nGC_3289 = 960
  integer, parameter :: nGC_3288 = 961
  integer, parameter :: nGC_3469 = 962
  integer, parameter :: nGC_3468 = 963
  integer, parameter :: nGC_5380 = 964
  integer, parameter :: nGC_5381 = 965
  integer, parameter :: nGC_5386 = 966
  integer, parameter :: nGC_9343 = 967
  integer, parameter :: nGC_5266 = 968
  integer, parameter :: nGC_5182 = 969
  integer, parameter :: nGC_6703 = 970
  integer, parameter :: nGC_3508 = 971
  integer, parameter :: nGC_6062 = 972
  integer, parameter :: nGC_7601 = 973
  integer, parameter :: nGC_7602 = 974
  integer, parameter :: nGC_4961 = 975
  integer, parameter :: nGC_4960 = 976
  integer, parameter :: nGC_4963 = 977
  integer, parameter :: nGC_4962 = 978
  integer, parameter :: nGC_6640 = 979
  integer, parameter :: nGC_3388 = 980
  integer, parameter :: nGC_3380 = 981
  integer, parameter :: nGC_3381 = 982
  integer, parameter :: nGC_5560 = 983
  integer, parameter :: nGC_3383 = 984
  integer, parameter :: nGC_3384 = 985
  integer, parameter :: nGC_3385 = 986
  integer, parameter :: nGC_3387 = 987
  integer, parameter :: nGC_6659 = 988
  integer, parameter :: nGC_4971 = 989
  integer, parameter :: nGC_3492 = 990
  integer, parameter :: nGC_3493 = 991
  integer, parameter :: nGC_5683 = 992
  integer, parameter :: nGC_3259 = 993
  integer, parameter :: nGC_3317 = 994
  integer, parameter :: nGC_3316 = 995
  integer, parameter :: nGC_3315 = 996
  integer, parameter :: nGC_3314 = 997
  integer, parameter :: nGC_9151 = 998
  integer, parameter :: nGC_3251 = 999
  integer, parameter :: nGC_3256 = 1000
  integer, parameter :: nGC_3255 = 1001
  integer, parameter :: nGC_9812 = 1002
  integer, parameter :: nGC_7624 = 1003
  integer, parameter :: nGC_7537 = 1004
  integer, parameter :: nGC_5124 = 1005
  integer, parameter :: nGC_5128 = 1006
  integer, parameter :: nGC_6589 = 1007
  integer, parameter :: nGC_5009 = 1008
  integer, parameter :: nGC_5008 = 1009
  integer, parameter :: nGC_6514 = 1010
  integer, parameter :: nGC_6513 = 1011
  integer, parameter :: nGC_5517 = 1012
  integer, parameter :: nGC_6081 = 1013
  integer, parameter :: nGC_6083 = 1014
  integer, parameter :: nGC_6122 = 1015
  integer, parameter :: nGC_5618 = 1016
  integer, parameter :: nGC_5619 = 1017
  integer, parameter :: nGC_5092 = 1018
  integer, parameter :: nGC_5228 = 1019
  integer, parameter :: nGC_3287 = 1020
  integer, parameter :: nGC_5209 = 1021
  integer, parameter :: nGC_6038 = 1022
  integer, parameter :: nGC_5746 = 1023
  integer, parameter :: nGC_5152 = 1024
  integer, parameter :: nGC_6662 = 1025
  integer, parameter :: nGC_5010 = 1026
  integer, parameter :: nGC_3517 = 1027
  integer, parameter :: nGC_10230 = 1028
  integer, parameter :: nGC_9680 = 1029
  integer, parameter :: nGC_5335 = 1030
  integer, parameter :: nGC_9561 = 1031
  integer, parameter :: nGC_3292 = 1032
  integer, parameter :: nGC_3390 = 1033
  integer, parameter :: nGC_5531 = 1034
  integer, parameter :: nGC_5530 = 1035
  integer, parameter :: nGC_5067 = 1036
  integer, parameter :: nGC_6741 = 1037
  integer, parameter :: nGC_6466 = 1038
  integer, parameter :: nGC_6220 = 1039
  integer, parameter :: nGC_6221 = 1040
  integer, parameter :: nGC_9948 = 1041
  integer, parameter :: nGC_3323 = 1042
  integer, parameter :: nGC_3320 = 1043
  integer, parameter :: nGC_3348 = 1044
  integer, parameter :: nGC_3344 = 1045
  integer, parameter :: nGC_3345 = 1046
  integer, parameter :: nGC_3346 = 1047
  integer, parameter :: nGC_3340 = 1048
  integer, parameter :: nGC_3322 = 1049
  integer, parameter :: nGC_3342 = 1050
  integer, parameter :: nGC_3343 = 1051
  integer, parameter :: nGC_6949 = 1052
  integer, parameter :: nGC_5522 = 1053
  integer, parameter :: nGC_5483 = 1054
  integer, parameter :: nGC_5482 = 1055
  integer, parameter :: nGC_5406 = 1056
  integer, parameter :: nGC_5402 = 1057
  integer, parameter :: nGC_6291 = 1058
  integer, parameter :: nGC_6467 = 1059
  integer, parameter :: nGC_5245 = 1060
  integer, parameter :: nGC_5242 = 1061
  integer, parameter :: nGC_5728 = 1062
  integer, parameter :: nGC_3506 = 1063
  integer, parameter :: nGC_3507 = 1064
  integer, parameter :: nGC_3504 = 1065
  integer, parameter :: nGC_3505 = 1066
  integer, parameter :: nGC_3502 = 1067
  integer, parameter :: nGC_3503 = 1068
  integer, parameter :: nGC_10112 = 1069
  integer, parameter :: nGC_6040 = 1070
  integer, parameter :: nGC_10287 = 1071
  integer, parameter :: nGC_5556 = 1072
  integer, parameter :: nGC_5042 = 1073
  integer, parameter :: nGC_3250 = 1074
  integer, parameter :: nGC_7625 = 1075
  integer, parameter :: nGC_3318 = 1076
  integer, parameter :: nGC_5791 = 1077
  integer, parameter :: nGC_5160 = 1078
  integer, parameter :: nGC_4943 = 1079
  integer, parameter :: nGC_4942 = 1080
  integer, parameter :: nGC_4946 = 1081
  integer, parameter :: nGC_3478 = 1082
  integer, parameter :: nGC_3479 = 1083
  integer, parameter :: nGC_3472 = 1084
  integer, parameter :: nGC_3473 = 1085
  integer, parameter :: nGC_3470 = 1086
  integer, parameter :: nGC_3471 = 1087
  integer, parameter :: nGC_3476 = 1088
  integer, parameter :: nGC_3477 = 1089
  integer, parameter :: nGC_3474 = 1090
  integer, parameter :: nGC_3475 = 1091
  integer, parameter :: nGC_3489 = 1092
  integer, parameter :: nGC_5055 = 1093
  integer, parameter :: nGC_5058 = 1094
  integer, parameter :: nGC_5059 = 1095
  integer, parameter :: nGC_9989 = 1096
  integer, parameter :: nGC_5382 = 1097
  integer, parameter :: nGC_5667 = 1098
  integer, parameter :: nGC_5663 = 1099
  integer, parameter :: nGC_6142 = 1100
  integer, parameter :: nGC_5108 = 1101
  integer, parameter :: nGC_5431 = 1102
  integer, parameter :: nGC_6827 = 1103
  integer, parameter :: nGC_5576 = 1104
  integer, parameter :: nGC_3397 = 1105
  integer, parameter :: nGC_5432 = 1106
  integer, parameter :: nGC_5747 = 1107
  integer, parameter :: nGC_3487 = 1108
  integer, parameter :: nGC_3486 = 1109
  integer, parameter :: nGC_3482 = 1110
  integer, parameter :: nGC_5021 = 1111
  integer, parameter :: nGC_3480 = 1112
  integer, parameter :: nGC_5372 = 1113
  integer, parameter :: nGC_5371 = 1114
  integer, parameter :: nGC_6141 = 1115
  integer, parameter :: nGC_5778 = 1116
  integer, parameter :: nGC_3249 = 1117
  integer, parameter :: nGC_9727 = 1118
  integer, parameter :: nGC_5698 = 1119
  integer, parameter :: nGC_5022 = 1120
  integer, parameter :: nGC_5277 = 1121
  integer, parameter :: nGC_5697 = 1122
  integer, parameter :: nGC_5373 = 1123
  integer, parameter :: nGC_5607 = 1124
  integer, parameter :: nGC_5606 = 1125
  integer, parameter :: nGC_5872 = 1126
  integer, parameter :: nGC_5873 = 1127
  integer, parameter :: nGC_5229 = 1128
  integer, parameter :: nGC_5043 = 1129
  integer, parameter :: nGC_5992 = 1130
  integer, parameter :: nGC_5993 = 1131
  integer, parameter :: nGC_5337 = 1132
  integer, parameter :: nGC_5023 = 1133
  integer, parameter :: nGC_5278 = 1134
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
