!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_1150) = -coupl(nGC_22)
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_66) = -sqrt(2d0)*ye/2d0
    coupl(nGC_3102) = -cima/2d0
    coupl(nGC_3106) = ee**2d0/cw
    coupl(nGC_3105) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3108) = cima*ee/(2d0*cMW)
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_3216) = -sqrt(2d0)/2d0
    coupl(nGC_3217) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3214) = sqrt(2d0)/2d0
    coupl(nGC_3215) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3212) = sqrt(2d0)/2d0
    coupl(nGC_3213) = -sqrt(2d0)/2d0
    coupl(nGC_3210) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3211) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3195) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3196) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_3190) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3218) = sqrt(2d0)/2d0
    coupl(nGC_3192) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3109) = cMW*cima*ee
    coupl(nGC_3177) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3176) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3175) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3174) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3173) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3172) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3171) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3170) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3179) = -cima*vev/2d0
    coupl(nGC_3178) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3128) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3204) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_3122) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3123) = cima*cw*ee/sw
    coupl(nGC_3124) = -cima*cw*ee/sw**2d0
    coupl(nGC_3125) = cima*ee/sw
    coupl(nGC_88) = sqrt(2d0)*yup/2d0
    coupl(nGC_3126) = -ee**2d0/sw
    coupl(nGC_80) = sqrt(2d0)*yt/2d0
    coupl(nGC_81) = -cima*ytau
    coupl(nGC_3127) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_85) = cima*yup
    coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_1276) = -2d0*coupl(nGC_12)
    coupl(nGC_3199) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_618) = -coupl(nGC_3)
    coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_64) = sqrt(2d0)*ydo/2d0
    coupl(nGC_65) = -cima*ye
    coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_60) = sqrt(2d0)*yc/2d0
    coupl(nGC_61) = -cima*ydo
    coupl(nGC_3101) = 2d0*cima*ee**2d0
    coupl(nGC_68) = sqrt(2d0)*ye/2d0
    coupl(nGC_69) = -cima*ym
    coupl(nGC_3133) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3209) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_112) = cima*gs
    coupl(nGC_470) = -coupl(nGC_29)/2d0
    coupl(nGC_982) = -2d0*coupl(nGC_18)
    coupl(nGC_1282) = 2d0*coupl(nGC_12)
    coupl(nGC_1280) = -coupl(nGC_12)
    coupl(nGC_392) = -2d0*coupl(nGC_19)
    coupl(nGC_2268) = -coupl(nGC_37)
    coupl(nGC_1294) = -coupl(nGC_40)
    coupl(nGC_240) = -2d0*coupl(nGC_5)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
