!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3658) = coupl(nGC_3229)*dyt_QED1_QCD2
    coupl(nGC_3606) = -cima*dys_QED1_QCD2
    coupl(nGC_GG) = cima*dt_QED1/vev
    coupl(nGC_3611) = -cima*dyb_QED3
    coupl(nGC_3676) = -cima*dMB_QED2
    coupl(nGC_3667) = -cima*dMU_QCD2
    coupl(nGC_3666) = -cima*dMU_QED2
    coupl(nGC_3665) = -cima*dMTA_QED2
    coupl(nGC_3664) = -cima*dMM_QED2
    coupl(nGC_3663) = -cima*dME_QED2
    coupl(nGC_3661) = -cima*dMH2_QED2
    coupl(nGC_3652) = coupl(nGC_3228)*dyt_QED1_QCD2
    coupl(nGC_3653) = coupl(nGC_3228)*dyt_QED3
    coupl(nGC_4970) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_5288) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_5080) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5083) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_5084) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_6009) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_5597) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_5593) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_9145) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_9146) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_5626) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_6134) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_6585) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_6137) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_5172) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_3659) = coupl(nGC_3229)*dyt_QED3
    coupl(nGC_3640) = coupl(nGC_3224)*dym_QED3
    coupl(nGC_5481) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_5480) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_3669) = -cima*dMC_QCD2
    coupl(nGC_5870) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_5871) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_3668) = -cima*dMC_QED2
    coupl(nGC_5098) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_3483) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4940) = coupl(nGC_29)*dZAZ_QED2
    coupl(nGC_3572) = coupl(nGC_3131)*dZee_QED2 + coupl(nGC_3132)*dsw_QED2
    coupl(nGC_3579) = coupl(nGC_3187)*dsw_QED2 + coupl(nGC_3188)*dZee_QED2 +   &
                      coupl(nGC_3189)*dvev_QED1
    coupl(nGC_5053) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_5050) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_3674) = -cima*dMS_QED2
    coupl(nGC_3675) = -cima*dMS_QCD2
    coupl(nGC_3670) = -cima*dMT_QED2
    coupl(nGC_3671) = -cima*dMT_QCD2
    coupl(nGC_3672) = -cima*dMD_QED2
    coupl(nGC_3673) = -cima*dMD_QCD2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
