!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_5474) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_5662) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_5467) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_3271) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3272) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3274) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_7303) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_8190) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_5020) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
    coupl(nGC_5203) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5204) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_9557) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5363) = coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_6504) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_8840) = coupl(nGC_3661) + coupl(nGC_MH)*dZH_QED2
    coupl(nGC_3569) = coupl(nGC_3181)*dlam_QED4 + coupl(nGC_3182)*dvev_QED1
    coupl(nGC_3273) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_6588) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_3630) = -cima*dye_QED3
    coupl(nGC_3632) = -cima*dytau_QED3
    coupl(nGC_3635) = coupl(nGC_3223)*dym_QED3
    coupl(nGC_3636) = coupl(nGC_3222)*dym_QED3
    coupl(nGC_3631) = -cima*dym_QED3
    coupl(nGC_3440) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5740) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5424) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_8371) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_3682) = coupl(nGC_152)*dMZ2_QED2
    coupl(nGC_3296) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7596) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_5737) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
    coupl(nGC_8375) = -coupl(nGC_8371)
    coupl(nGC_3571) = coupl(nGC_3135)*dZee_QED2 + coupl(nGC_3136)*dsw_QED2
    coupl(nGC_5328) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_8188) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_3594) = coupl(nGC_3155)*dZee_QED2 + coupl(nGC_3156)*dsw_QED2 +   &
                      coupl(nGC_3157)*dcw_QED2
    coupl(nGC_3596) = coupl(nGC_3164)*dZee_QED2 + coupl(nGC_3165)*dsw_QED2 +   &
                      coupl(nGC_3166)*dcw_QED2
    coupl(nGC_3599) = coupl(nGC_3158)*dZee_QED2 + coupl(nGC_3159)*dsw_QED2 +   &
                      coupl(nGC_3160)*dcw_QED2
    coupl(nGC_6215) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_6219) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_6218) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_5602) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_7595) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_5601) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_5991) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_5990) = coupl(nGC_11)*dZtR_QED2
    coupl(nGC_5255) = coupl(nGC_41)*dZZA_QED2/2d0
    coupl(nGC_6061) = coupl(nGC_3636) + coupl(nGC_70)*dZmuMinusL_QED2/2d0 +    &
                      coupl(nGC_70)*dZmuMinusR_QED2/2d0
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
