!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_6082) = coupl(nGC_5098) + coupl(nGC_6080)
    coupl(nGC_6121) = coupl(nGC_5288) + coupl(nGC_6119)
    coupl(nGC_6120) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(    &
                      nGC_40)*dZmuMinusL_QED2
    coupl(nGC_6334) = coupl(nGC_3609) + coupl(nGC_77)*dZbL_QED2/2d0 + coupl(   &
                      nGC_77)*dZtR_QED2/2d0
    coupl(nGC_6332) = coupl(nGC_3608) + coupl(nGC_77)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_77)*dZtR_QCD2/2d0
    coupl(nGC_6333) = coupl(nGC_3611) + coupl(nGC_53)*dZbR_QED2/2d0 + coupl(   &
                      nGC_53)*dZtL_QED2/2d0
    coupl(nGC_6331) = coupl(nGC_3610) + coupl(nGC_53)*dZbR_QCD2/2d0 + coupl(   &
                      nGC_53)*dZtL_QCD2/2d0
    coupl(nGC_6622) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0  &
                       + coupl(nGC_3552)
    coupl(nGC_6623) = -coupl(nGC_6622)
    coupl(nGC_5369) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_3407) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*coupl&
                      (nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_212)**2d0*  &
                      coupl(nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) -  &
                      12d0*coupl(nGC_23)**2d0*coupl(nGC_41) - 11d0*coupl(nGC_25&
                      )*coupl(nGC_618)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5869) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_5868) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_3618) = coupl(nGC_3227)*dys_QED1_QCD2
    coupl(nGC_3619) = coupl(nGC_3227)*dys_QED3
    coupl(nGC_3349) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5334) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_3617) = coupl(nGC_3226)*dys_QED3
    coupl(nGC_6945) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6944) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_3313) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_6690) = coupl(nGC_3581) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(    &
                      nGC_37)*dZZ_QED2/2d0
    coupl(nGC_3311) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3310) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_4937) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/2d0 &
                       + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3552)
    coupl(nGC_4933) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3586) + coupl(   &
                      nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
    coupl(nGC_3500) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0)
    coupl(nGC_3501) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0*Nc)
    coupl(nGC_3465) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3464) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3467) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3461) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)*coupl( &
                      nGC_80) + coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3460) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_53)**  &
                      2d0 + coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_79)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3463) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3462) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_6287) = coupl(nGC_3579) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(    &
                      nGC_50)*dZWMinus_QED2
    coupl(nGC_3253) = cima*(coupl(nGC_212)*coupl(nGC_618) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_3319) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5167) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_5164) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3561) + coupl(    &
                      nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_5165) = -coupl(nGC_5164)
    coupl(nGC_3263) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3262) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3261) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3260) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3267) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3266) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3265) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3264) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3269) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11  &
                      )**2d0)/(64d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
