!******************************************************************************!
!                                                                              !
!    ctparameter106.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter106.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter106
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter106()
  if (dZdR_QED2_scheme .eq. 0) then
    dZdR_QED2 = (2d0*Ten164*coupl(nGC_1)**2d0 + Ten165*(-2d0*coupl(nGC_34)**2d0&
                 - coupl(nGC_62)*coupl(nGC_64)) - Ten166*coupl(nGC_63)**2d0 +  &
                2d0*Ten167*coupl(nGC_1)**2d0 - Ten168*coupl(nGC_61)**2d0 +     &
                Ten172*cMD**2d0*(-8d0*coupl(nGC_34)*coupl(nGC_38) + coupl(     &
                nGC_62)**2d0 + coupl(nGC_64)**2d0) + 2d0*Ten173*cMD**2d0*coupl(&
                nGC_63)**2d0 - 4d0*Ten174*cMD**2d0*coupl(nGC_1)**2d0 + 2d0*    &
                Ten175*cMD*cMU*coupl(nGC_61)*coupl(nGC_85) + 2d0*Ten176*cMD**  &
                2d0*(-coupl(nGC_34)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_62)* &
                coupl(nGC_64)) - 2d0*Ten177*cMD**2d0*coupl(nGC_63)**2d0 + 4d0* &
                Ten178*cMD**2d0*coupl(nGC_1)**2d0 + Ten179*cMD**2d0*(-2d0*coupl&
                (nGC_23)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_85)**2d0) + pi**&
                2d0*(-coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_34)**2d0/pi**2d0   &
                ))/(16d0*pi**2d0)
    dZdR_QED2 = cone*real(dZdR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter106
end module ctparameter106
