!******************************************************************************!
!                                                                              !
!    ctparameter109.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter109.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter109
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter109()
  if (dZmuMinusL_QED2_scheme .eq. 0) then
    dZmuMinusL_QED2 = (2d0*Ten302*coupl(nGC_4)**2d0 + Ten303*coupl(nGC_71)**2d0&
                       + Ten304*(-2d0*coupl(nGC_40)**2d0 - coupl(nGC_70)*coupl(&
                      nGC_72)) + 2d0*Ten305*coupl(nGC_4)**2d0 - 2d0*Ten306*    &
                      coupl(nGC_23)**2d0 + Ten307*coupl(nGC_71)**2d0 + Ten309* &
                      cMM*rMM*(-8d0*coupl(nGC_36)*coupl(nGC_40) + coupl(nGC_70 &
                      )**2d0 + coupl(nGC_72)**2d0) + 4d0*Ten310*coupl(nGC_4)** &
                      2d0*rMM*(-2d0*cMM + rMM) + 2d0*Ten311*coupl(nGC_71)**2d0*&
                      rMM*(cMM + rMM) + 2d0*Ten312*rMM**2d0*(-coupl(nGC_36)**  &
                      2d0 - coupl(nGC_40)**2d0 - coupl(nGC_70)*coupl(nGC_72    &
                      )) + 4d0*Ten313*coupl(nGC_4)**2d0*rMM**2d0 + Ten314*rMM**&
                      2d0*(-2d0*coupl(nGC_23)**2d0 - coupl(nGC_69)**2d0) + 2d0*&
                      Ten315*coupl(nGC_71)**2d0*rMM**2d0 + pi**2d0*(-coupl(    &
                      nGC_23)**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0 - coupl(&
                      nGC_40)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter109
end module ctparameter109
