!******************************************************************************!
!                                                                              !
!    ctparameter110.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter110.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter110
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter110()
  if (dZmuMinusL_QED2_scheme .eq. 1) then
    dZmuMinusL_QED2 = (2d0*Ten316*coupl(nGC_4)**2d0 - 2d0*Ten318*coupl(nGC_40  &
                      )**2d0 + 2d0*Ten319*coupl(nGC_4)**2d0 - 2d0*Ten320*coupl(&
                      nGC_23)**2d0 - 4d0*Ten324*cMM_reg**2d0*coupl(nGC_4)**2d0 &
                       + 4d0*Ten327*cMM_reg**2d0*coupl(nGC_4)**2d0 + pi**2d0*(-&
                      coupl(nGC_23)**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0 - &
                      coupl(nGC_40)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter110
end module ctparameter110
