!******************************************************************************!
!                                                                              !
!    ctparameter116.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter116.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter116
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter116()
  if (dMB_QED2_scheme .eq. 0) then
    dMB_QED2 = (2d0*Ten234*cMB*coupl(nGC_1)**2d0 + Ten235*cMB*(coupl(nGC_34)** &
               2d0 + coupl(nGC_38)**2d0 + coupl(nGC_54)*coupl(nGC_56)) + Ten236&
               *cMB*coupl(nGC_55)**2d0 - 2d0*Ten237*cMB*coupl(nGC_1)**2d0 +    &
               Ten238*cMB*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_53)**2d0 + coupl(&
               nGC_77)**2d0)/2d0 + Ten239*cMB*(8d0*coupl(nGC_34)*coupl(nGC_38  &
               ) - coupl(nGC_54)**2d0 - coupl(nGC_56)**2d0)/2d0 - Ten240*cMB*  &
               coupl(nGC_55)**2d0 - Ten241*cMT*coupl(nGC_53)*coupl(nGC_77) +   &
               Ten242*cMB*rMB*(8d0*cMB*coupl(nGC_34)*coupl(nGC_38) - cMB*coupl(&
               nGC_54)**2d0 - cMB*coupl(nGC_56)**2d0 - 8d0*coupl(nGC_34)*coupl(&
               nGC_38)*rMB + coupl(nGC_54)**2d0*rMB + coupl(nGC_56)**2d0*rMB   &
               ) + 2d0*Ten243*cMB*coupl(nGC_55)**2d0*rMB*(-cMB + rMB) + 4d0*   &
               Ten244*coupl(nGC_1)**2d0*rMB*(2d0*cMB**2d0 - 3d0*cMB*rMB + rMB**&
               2d0) + 2d0*Ten245*cMT*coupl(nGC_53)*coupl(nGC_77)*rMB*(-cMB +   &
               rMB) + 2d0*Ten246*rMB**2d0*(cMB*coupl(nGC_34)**2d0 + cMB*coupl( &
               nGC_38)**2d0 + cMB*coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_34)**&
               2d0*rMB - coupl(nGC_38)**2d0*rMB - coupl(nGC_54)*coupl(nGC_56)* &
               rMB) + 2d0*Ten247*coupl(nGC_55)**2d0*rMB**2d0*(cMB - rMB) + 4d0*&
               Ten248*coupl(nGC_1)**2d0*rMB**2d0*(-cMB + rMB) + Ten249*rMB**2d0&
               *(2d0*cMB*coupl(nGC_23)**2d0 + cMB*coupl(nGC_53)**2d0 + cMB*    &
               coupl(nGC_77)**2d0 - 2d0*coupl(nGC_23)**2d0*rMB - coupl(nGC_53  &
               )**2d0*rMB - coupl(nGC_77)**2d0*rMB) + pi**2d0*(-8d0*aEW*cMB**  &
               2d0/(9d0*pi*rMB) + 8d0*aEW*rMB/(9d0*pi) - cMB*coupl(nGC_1)**2d0/&
               pi**2d0 + cMB*coupl(nGC_23)**2d0/(2d0*pi**2d0) + cMB*coupl(     &
               nGC_34)**2d0/(2d0*pi**2d0) - 2d0*cMB*coupl(nGC_34)*coupl(nGC_38 &
               )/pi**2d0 + cMB*coupl(nGC_38)**2d0/(2d0*pi**2d0)))/(16d0*pi**2d0&
               )
    if (.not. complex_mass_scheme) then
      dMB_QED2 = cone*real(dMB_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter116
end module ctparameter116
