!******************************************************************************!
!                                                                              !
!    ctparameter125.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter125.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter125
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter125()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten115*cMU**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(     &
            nGC_35) - cMW**2d0*coupl(nGC_39) + cMZ**2d0*coupl(nGC_35) + cMZ**  &
            2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc&
            *Ten116*cMC**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(nGC_35) - cMW**2d0* &
            coupl(nGC_39) + cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(nGC_39))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten117*cMT**2d0*   &
            coupl(nGC_2)*(-cMW**2d0*coupl(nGC_35) - cMW**2d0*coupl(nGC_39) +   &
            cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-&
            cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten118*cMD**2d0*coupl(nGC_1)*(-cMW**&
            2d0*coupl(nGC_34) - cMW**2d0*coupl(nGC_38) + cMZ**2d0*coupl(nGC_34 &
            ) + cMZ**2d0*coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Nc*Ten119*cMS**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_34   &
            ) - cMW**2d0*coupl(nGC_38) + cMZ**2d0*coupl(nGC_34) + cMZ**2d0*    &
            coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*   &
            Ten120*cMB**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_34) - cMW**2d0*  &
            coupl(nGC_38) + cMZ**2d0*coupl(nGC_34) + cMZ**2d0*coupl(nGC_38))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten121*coupl(nGC_2 &
            )*(cMW**2d0*coupl(nGC_35) + cMW**2d0*coupl(nGC_39) - cMZ**2d0*coupl&
            (nGC_35) - cMZ**2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ&
            **2d0)) + 8d0*Nc*Ten122*coupl(nGC_2)*(cMW**2d0*coupl(nGC_35) + cMW &
            **2d0*coupl(nGC_39) - cMZ**2d0*coupl(nGC_35) - cMZ**2d0*coupl(     &
            nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten123*  &
            coupl(nGC_2)*(cMW**2d0*coupl(nGC_35) + cMW**2d0*coupl(nGC_39) - cMZ&
            **2d0*coupl(nGC_35) - cMZ**2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-cMW&
            **2d0 + cMZ**2d0)) + 8d0*Nc*Ten124*coupl(nGC_1)*(cMW**2d0*coupl(   &
            nGC_34) + cMW**2d0*coupl(nGC_38) - cMZ**2d0*coupl(nGC_34) - cMZ**  &
            2d0*coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc&
            *Ten125*coupl(nGC_1)*(cMW**2d0*coupl(nGC_34) + cMW**2d0*coupl(     &
            nGC_38) - cMZ**2d0*coupl(nGC_34) - cMZ**2d0*coupl(nGC_38))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten126*coupl(nGC_1)*(cMW&
            **2d0*coupl(nGC_34) + cMW**2d0*coupl(nGC_38) - cMZ**2d0*coupl(     &
            nGC_34) - cMZ**2d0*coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 4d0*Nc*Ten495*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/( &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten496*coupl(nGC_23)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc* &
            Ten497*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + cima*Ten0*coupl(nGC_17)/(2d0*cMW**2d0) + cima*  &
            Ten1*(-cMW**2d0*coupl(nGC_17) - 6d0*cMW**2d0*coupl(nGC_19) + cMZ** &
            2d0*coupl(nGC_17) + 6d0*cMZ**2d0*coupl(nGC_19))/(2d0*cMW**2d0*(-cMW&
            **2d0 + cMZ**2d0)) + cima*Ten2*(6d0*cMW**4d0*coupl(nGC_29) - 2d0*  &
            cMW**4d0*coupl(nGC_42) - cMW**2d0*cMZ**2d0*coupl(nGC_17)*cw*sw +   &
            3d0*cMW**2d0*cMZ**2d0*coupl(nGC_18)*cw*sw - 6d0*cMW**2d0*cMZ**2d0* &
            coupl(nGC_29) + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_42) + cMZ**4d0*    &
            coupl(nGC_17)*cw*sw - 3d0*cMZ**4d0*coupl(nGC_18)*cw*sw)/(cMW**2d0* &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten361*coupl(nGC_47)* &
            coupl(nGC_51)/(cMZ**2d0*cw*sw) + 2d0*Ten364*(-cMW**2d0*coupl(nGC_24&
            )*coupl(nGC_4) + 17d0*cMW**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cMW&
            **2d0*coupl(nGC_4)*coupl(nGC_40) + cMZ**2d0*coupl(nGC_24)*coupl(   &
            nGC_4) - 17d0*cMZ**2d0*coupl(nGC_25)*coupl(nGC_3) - 4d0*cMZ**2d0*  &
            coupl(nGC_4)*coupl(nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Ten371*cME**2d0*coupl(nGC_4)*(-cMW**2d0*coupl(nGC_36) -   &
            cMW**2d0*coupl(nGC_40) + cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(  &
            nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten372*cMM**&
            2d0*coupl(nGC_4)*(-cMW**2d0*coupl(nGC_36) - cMW**2d0*coupl(nGC_40  &
            ) + cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(nGC_40))/(cMZ**2d0*cw* &
            sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten373*cMTA**2d0*coupl(nGC_4)*(-  &
            cMW**2d0*coupl(nGC_36) - cMW**2d0*coupl(nGC_40) + cMZ**2d0*coupl(  &
            nGC_36) + cMZ**2d0*coupl(nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 8d0*Ten374*coupl(nGC_4)*(cMW**2d0*coupl(nGC_36) + cMW**  &
            2d0*coupl(nGC_40) - cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten375*coupl(nGC_4&
            )*(cMW**2d0*coupl(nGC_36) + cMW**2d0*coupl(nGC_40) - cMZ**2d0*coupl&
            (nGC_36) - cMZ**2d0*coupl(nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ&
            **2d0)) + 8d0*Ten376*coupl(nGC_4)*(cMW**2d0*coupl(nGC_36) + cMW**  &
            2d0*coupl(nGC_40) - cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + Ten490*(17d0*cMW**2d0*&
            coupl(nGC_3)**2d0 - cMW**2d0*coupl(nGC_4)**2d0 - 17d0*cMZ**2d0*    &
            coupl(nGC_3)**2d0 + cMZ**2d0*coupl(nGC_4)**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + Ten491*(-4d0*cMW**2d0*coupl(nGC_22)**2d0 - cMW**&
            2d0*coupl(nGC_24)**2d0 + 17d0*cMW**2d0*coupl(nGC_25)**2d0 + 4d0*cMZ&
            **2d0*coupl(nGC_22)**2d0 + cMZ**2d0*coupl(nGC_24)**2d0 - 17d0*cMZ**&
            2d0*coupl(nGC_25)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*   &
            Ten492*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + 4d0*Ten493*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ** &
            2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten494*coupl(nGC_23)**&
            2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0* &
            Ten498*coupl(nGC_20)*coupl(nGC_21)/cMW**2d0 + Ten499*coupl(nGC_47  &
            )**2d0/cMW**2d0 + Ten500*coupl(nGC_51)**2d0/cMW**2d0 + Ten501*coupl&
            (nGC_50)**2d0/cMW**2d0 + pi**2d0*(-128d0*Nc*cMB**2d0*cMW**4d0*coupl&
            (nGC_1)*coupl(nGC_34)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0* &
            pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) - 128d0*Nc*cMB**2d0*cMW**4d0*coupl(nGC_1)*coupl(  &
            nGC_38)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            )) + 128d0*Nc*cMB**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_34 &
            )*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ &
            **2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) +  &
            128d0*Nc*cMB**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_38)*gw* &
            sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*&
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**  &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0* &
            Nc*cMB**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ &
            **4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMB**&
            2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMC**2d0*cMW**4d0*  &
            coupl(nGC_2)*coupl(nGC_35)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMC**2d0*cMW**4d0*coupl(nGC_2)*  &
            coupl(nGC_39)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) + 128d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*    &
            coupl(nGC_35)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) + 128d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*    &
            coupl(nGC_39)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) - 32d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW** &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            )) + 32d0*Nc*cMC**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*   &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMD**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_34)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMD**2d0*cMW**  &
            4d0*coupl(nGC_1)*coupl(nGC_38)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMD**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_1)*coupl(nGC_34)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMD**2d0*cMW**2d0*cMZ**2d0*coupl(&
            nGC_1)*coupl(nGC_38)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 32d0*Nc*cMD**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)) + 32d0*Nc*cMD**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMS**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_34)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMS**2d0*cMW**  &
            4d0*coupl(nGC_1)*coupl(nGC_38)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_1)*coupl(nGC_34)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(&
            nGC_1)*coupl(nGC_38)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 32d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)) + 32d0*Nc*cMS**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMT**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_35)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMT**2d0*cMW**  &
            4d0*coupl(nGC_2)*coupl(nGC_39)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_2)*coupl(nGC_35)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(&
            nGC_2)*coupl(nGC_39)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 32d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)) + 32d0*Nc*cMT**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMU**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_35)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMU**2d0*cMW**  &
            4d0*coupl(nGC_2)*coupl(nGC_39)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMU**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_2)*coupl(nGC_35)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMU**2d0*cMW**2d0*cMZ**2d0*coupl(&
            nGC_2)*coupl(nGC_39)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 32d0*Nc*cMU**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)) + 32d0*Nc*cMU**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cME &
            **2d0*cMW**4d0*coupl(nGC_36)*coupl(nGC_4)*gw*sw*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cME**2d0*cMW**4d0*   &
            coupl(nGC_4)*coupl(nGC_40)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) - 32d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(    &
            nGC_23)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) + 128d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*    &
            coupl(nGC_4)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) + 128d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl( &
            nGC_40)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            )) + 32d0*cME**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ** &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cMM**2d0*&
            cMW**4d0*coupl(nGC_36)*coupl(nGC_4)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cMM**2d0*cMW**4d0*coupl(   &
            nGC_4)*coupl(nGC_40)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 32d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*&
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            )) + 128d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_4)*gw&
            *sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW** &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*&
            cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_40)*gw*sw*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ** &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cMM**2d0* &
            cMZ**4d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cMTA**2d0*cMW**4d0*coupl(  &
            nGC_36)*coupl(nGC_4)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 128d0*cMTA**2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_40 &
            )*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ &
            **2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) -  &
            32d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*cw*gw*sw**2d0* &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cMTA&
            **2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_4)*gw*sw*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cMTA**2d0*  &
            cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_40)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cMTA**2d0*cMZ**4d0* &
            coupl(nGC_23)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) - 384d0*cMW**6d0*coupl(nGC_25)*coupl(nGC_3)*&
            gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW&
            **2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) -     &
            128d0*cima*cMW**6d0*coupl(nGC_29)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cima*cMW**4d0*cMZ**2d0*coupl(   &
            nGC_18)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0&
            *cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +  &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) - 96d0*cMW**4d0*cMZ**2d0*coupl(nGC_25)**2d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW** &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 384d0*&
            cMW**4d0*cMZ**2d0*coupl(nGC_25)*coupl(nGC_3)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cima*cMW**4d0*cMZ**&
            2d0*coupl(nGC_29)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 96d0*cMW**4d0*cMZ**2d0*coupl(nGC_3)**2d0*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW** &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0* &
            cMW**4d0*cMZ**2d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )*log(cw**2d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 192d0*cMW**4d0*cMZ**2d0* &
            cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) + 112d0*cMW**4d0*cMZ**2d0*cw*gw**3d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ** &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cima*cMW**&
            2d0*cMZ**4d0*coupl(nGC_18)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + &
            1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cima*cMW**2d0*cMZ**4d0*coupl(   &
            nGC_19)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0&
            *cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +  &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) + 96d0*cMW**2d0*cMZ**4d0*coupl(nGC_3)**2d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW** &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0* &
            cMW**2d0*cMZ**4d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )*log(cw**2d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 192d0*cMW**2d0*cMZ**4d0* &
            cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) - 112d0*cMW**2d0*cMZ**4d0*cw*gw**3d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ** &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cima*cMZ**&
            6d0*coupl(nGC_19)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-  &
            32d0*pi**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 96d0*cMZ**6d0*coupl(nGC_25)**2d0*cw*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMW**4d0*cMZ** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMW&
            **2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0))))/(   &
            16d0*pi**2d0) + dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW** &
            2d0 + cMZ**2d0)/cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0 &
            )/cMZ**2d0))/(cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(- &
            cMW**2d0 + cMZ**2d0))
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter125
end module ctparameter125
