!******************************************************************************!
!                                                                              !
!    ctparameter129.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter129.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter129
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter129()
  dMT_QED2 = (2d0*Ten268*cMT*coupl(nGC_2)**2d0 - 2d0*Ten269*cMT*coupl(nGC_79)**&
             2d0 + Ten270*cMT*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0 + coupl(&
             nGC_78)*coupl(nGC_80)) - 2d0*Ten271*cMT*coupl(nGC_2)**2d0 + Ten272&
             *cMT*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_77  &
             )**2d0)/2d0 - Ten273*cMT*coupl(nGC_79)**2d0 + Ten274*cMT*(8d0*    &
             coupl(nGC_35)*coupl(nGC_39) - coupl(nGC_78)**2d0 - coupl(nGC_80)**&
             2d0)/2d0 - Ten275*cMB*coupl(nGC_53)*coupl(nGC_77) + Ten276*cMT*rMT&
             *(8d0*cMT*coupl(nGC_35)*coupl(nGC_39) - cMT*coupl(nGC_78)**2d0 -  &
             cMT*coupl(nGC_80)**2d0 - 8d0*coupl(nGC_35)*coupl(nGC_39)*rMT +    &
             coupl(nGC_78)**2d0*rMT + coupl(nGC_80)**2d0*rMT) + 4d0*Ten277*    &
             coupl(nGC_2)**2d0*rMT*(2d0*cMT**2d0 - 3d0*cMT*rMT + rMT**2d0) +   &
             2d0*Ten278*cMB*coupl(nGC_53)*coupl(nGC_77)*rMT*(-cMT + rMT) + 2d0*&
             Ten279*coupl(nGC_79)**2d0*rMT*(-cMT**2d0 + rMT**2d0) + 2d0*Ten280*&
             rMT**2d0*(cMT*coupl(nGC_35)**2d0 + cMT*coupl(nGC_39)**2d0 + cMT*  &
             coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_35)**2d0*rMT - coupl(     &
             nGC_39)**2d0*rMT - coupl(nGC_78)*coupl(nGC_80)*rMT) + 4d0*Ten281* &
             coupl(nGC_2)**2d0*rMT**2d0*(-cMT + rMT) + Ten282*rMT**2d0*(2d0*cMT&
             *coupl(nGC_23)**2d0 + cMT*coupl(nGC_53)**2d0 + cMT*coupl(nGC_77)**&
             2d0 - 2d0*coupl(nGC_23)**2d0*rMT - coupl(nGC_53)**2d0*rMT - coupl(&
             nGC_77)**2d0*rMT) + 2d0*Ten283*coupl(nGC_79)**2d0*rMT**2d0*(-cMT  &
              + rMT) + pi**2d0*(-32d0*aEW*cMT**2d0/(9d0*pi*rMT) + 32d0*aEW*rMT &
             /(9d0*pi) - cMT*coupl(nGC_2)**2d0/pi**2d0 + cMT*coupl(nGC_23)**2d0&
             /(2d0*pi**2d0) + cMT*coupl(nGC_35)**2d0/(2d0*pi**2d0) - 2d0*cMT*  &
             coupl(nGC_35)*coupl(nGC_39)/pi**2d0 + cMT*coupl(nGC_39)**2d0/(2d0*&
             pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter129
end module ctparameter129
