!******************************************************************************!
!                                                                              !
!    ctparameter131.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter131.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter131
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter131()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = (2d0*Ten216*cMS*coupl(nGC_1)**2d0 - 2d0*Ten217*cMS*coupl(nGC_75 &
               )**2d0 + Ten218*cMS*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0 +  &
               coupl(nGC_74)*coupl(nGC_76)) - 2d0*Ten219*cMS*coupl(nGC_1)**2d0 &
                + Ten220*cMS*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_57)**2d0 +    &
               coupl(nGC_73)**2d0)/2d0 - Ten221*cMS*coupl(nGC_75)**2d0 + Ten222&
               *cMS*(8d0*coupl(nGC_34)*coupl(nGC_38) - coupl(nGC_74)**2d0 -    &
               coupl(nGC_76)**2d0)/2d0 - Ten223*cMC*coupl(nGC_57)*coupl(nGC_73 &
               ) + pi**2d0*(-cMS*coupl(nGC_1)**2d0/pi**2d0 + cMS*coupl(nGC_23  &
               )**2d0/(2d0*pi**2d0) + cMS*coupl(nGC_34)**2d0/(2d0*pi**2d0) -   &
               2d0*cMS*coupl(nGC_34)*coupl(nGC_38)/pi**2d0 + cMS*coupl(nGC_38  &
               )**2d0/(2d0*pi**2d0)))/(16d0*pi**2d0)
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter131
end module ctparameter131
