!******************************************************************************!
!                                                                              !
!    ctparameter137.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter137.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter137
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter137()
  if (dZeMinusR_QED2_scheme .eq. 0) then
    dZeMinusR_QED2 = (2d0*Ten287*coupl(nGC_4)**2d0 + Ten288*(-2d0*coupl(nGC_36 &
                     )**2d0 - coupl(nGC_66)*coupl(nGC_68)) - Ten289*coupl(     &
                     nGC_67)**2d0 + 2d0*Ten290*coupl(nGC_4)**2d0 - Ten291*coupl&
                     (nGC_65)**2d0 + Ten294*cME**2d0*(-8d0*coupl(nGC_36)*coupl(&
                     nGC_40) + coupl(nGC_66)**2d0 + coupl(nGC_68)**2d0) + 2d0* &
                     Ten295*cME**2d0*coupl(nGC_67)**2d0 - 4d0*Ten296*cME**2d0* &
                     coupl(nGC_4)**2d0 + 2d0*Ten297*cME**2d0*(-coupl(nGC_36)** &
                     2d0 - coupl(nGC_40)**2d0 - coupl(nGC_66)*coupl(nGC_68)) - &
                     2d0*Ten298*cME**2d0*coupl(nGC_67)**2d0 + 4d0*Ten299*cME** &
                     2d0*coupl(nGC_4)**2d0 + Ten300*cME**2d0*(-2d0*coupl(nGC_23&
                     )**2d0 - coupl(nGC_65)**2d0) + pi**2d0*(-coupl(nGC_36)**  &
                     2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter137
end module ctparameter137
