!******************************************************************************!
!                                                                              !
!    ctparameter139.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter139.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter139
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter139()
  if (dZeMinusR_QED2_scheme .eq. 2) then
    dZeMinusR_QED2 = (Ten102*coupl(nGC_4)**2d0 + Ten161*(-2d0*coupl(nGC_36)**  &
                     2d0 - coupl(nGC_66)*coupl(nGC_68)) - Ten162*coupl(nGC_67  &
                     )**2d0 - Ten301*coupl(nGC_65)**2d0 - coupl(nGC_36)**2d0)/(&
                     16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter139
end module ctparameter139
