!******************************************************************************!
!                                                                              !
!    ctparameter143.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter143.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter143
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter143()
  dt_QED1 = (4d0*cima*Nc*Ten10*cMS*coupl(nGC_75) + 4d0*cima*Nc*Ten11*cMB*coupl(&
            nGC_55) + 4d0*cima*Nc*Ten6*cMU*coupl(nGC_87) + 4d0*cima*Nc*Ten7*cMC&
            *coupl(nGC_59) + 4d0*cima*Nc*Ten8*cMT*coupl(nGC_79) + 4d0*cima*Nc* &
            Ten9*cMD*coupl(nGC_63) - cima*Ten0*coupl(nGC_49)/2d0 + cima*Ten1*( &
            2d0*coupl(nGC_44) - coupl(nGC_48) + 4d0*coupl(nGC_52))/2d0 + cima* &
            Ten2*(2d0*coupl(nGC_31) - coupl(nGC_48) + 4d0*coupl(nGC_50)) + 4d0*&
            cima*Ten3*cME*coupl(nGC_67) + 4d0*cima*Ten4*cMM*coupl(nGC_71) + 4d0&
            *cima*Ten5*cMTA*coupl(nGC_83) + pi**2d0*(-2d0*cima*cMW**2d0*coupl( &
            nGC_50)/pi**2d0 - cima*cMZ**2d0*coupl(nGC_52)/pi**2d0))/(16d0*pi** &
            2d0)
    if (.not. complex_mass_scheme) then
      dt_QED1 = cone*real(dt_QED1,kind=dp)
    end if 
end subroutine set_ctparameter143
end module ctparameter143
