!******************************************************************************!
!                                                                              !
!    ctparameter20.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter20.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter20
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter20()
  if (dZsR_QCD2_scheme .eq. 1) then
    dZsR_QCD2 = (pi**2d0*(-Nc*coupl(nGC_11)**2d0/(2d0*pi**2d0) + coupl(nGC_11  &
                )**2d0/(2d0*pi**2d0*Nc)) + Ten216*coupl(nGC_11)**2d0*(Nc**2d0  &
                 - 1d0)/Nc + Ten219*coupl(nGC_11)**2d0*(Nc**2d0 - 1d0)/Nc + 2d0&
                *Ten225*cMS_reg**2d0*coupl(nGC_11)**2d0*(-Nc**2d0 + 1d0)/Nc +  &
                2d0*Ten229*cMS_reg**2d0*coupl(nGC_11)**2d0*(Nc**2d0 - 1d0)/Nc  &
                )/(16d0*pi**2d0)
    dZsR_QCD2 = cone*real(dZsR_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter20
end module ctparameter20
