!******************************************************************************!
!                                                                              !
!    ctparameter23.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter23.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter23
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter23()
  if (dZbR_QED2_scheme .eq. 1) then
    dZbR_QED2 = (2d0*Ten250*coupl(nGC_1)**2d0 - 2d0*Ten251*coupl(nGC_34)**2d0  &
                 + 2d0*Ten253*coupl(nGC_1)**2d0 - 4d0*Ten260*cMB_reg**2d0*coupl&
                (nGC_1)**2d0 + 4d0*Ten264*cMB_reg**2d0*coupl(nGC_1)**2d0 + pi**&
                2d0*(-coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_34)**2d0/pi**2d0   &
                ))/(16d0*pi**2d0)
    dZbR_QED2 = cone*real(dZbR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter23
end module ctparameter23
