!******************************************************************************!
!                                                                              !
!    ctparameter47.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter47.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter47
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter47()
  dMH2_QED2 = (4d0*Nc*Ten100*coupl(nGC_75)**2d0*rMH**2d0*(cMH**2d0 - rMH**2d0  &
              ) + 4d0*Nc*Ten101*coupl(nGC_55)**2d0*rMH**2d0*(cMH**2d0 - rMH**  &
              2d0) + 4d0*Nc*Ten18*cMU**2d0*coupl(nGC_87)**2d0 + 4d0*Nc*Ten19*  &
              cMC**2d0*coupl(nGC_59)**2d0 + 4d0*Nc*Ten20*cMT**2d0*coupl(nGC_79 &
              )**2d0 + 4d0*Nc*Ten21*cMD**2d0*coupl(nGC_63)**2d0 + 4d0*Nc*Ten22*&
              cMS**2d0*coupl(nGC_75)**2d0 + 4d0*Nc*Ten23*cMB**2d0*coupl(nGC_55 &
              )**2d0 + 4d0*Nc*Ten39*cMH**2d0*coupl(nGC_87)**2d0 + 16d0*Nc*Ten40&
              *coupl(nGC_87)**2d0 + 4d0*Nc*Ten41*cMH**2d0*coupl(nGC_87)**2d0 + &
              4d0*Nc*Ten42*cMH**2d0*coupl(nGC_59)**2d0 + 16d0*Nc*Ten43*coupl(  &
              nGC_59)**2d0 + 4d0*Nc*Ten44*cMH**2d0*coupl(nGC_59)**2d0 + 4d0*Nc*&
              Ten45*cMH**2d0*coupl(nGC_79)**2d0 + 16d0*Nc*Ten46*coupl(nGC_79)**&
              2d0 + 4d0*Nc*Ten47*cMH**2d0*coupl(nGC_79)**2d0 + 4d0*Nc*Ten48*cMH&
              **2d0*coupl(nGC_63)**2d0 + 16d0*Nc*Ten49*coupl(nGC_63)**2d0 + 4d0&
              *Nc*Ten50*cMH**2d0*coupl(nGC_63)**2d0 + 4d0*Nc*Ten51*cMH**2d0*   &
              coupl(nGC_75)**2d0 + 16d0*Nc*Ten52*coupl(nGC_75)**2d0 + 4d0*Nc*  &
              Ten53*cMH**2d0*coupl(nGC_75)**2d0 + 4d0*Nc*Ten54*cMH**2d0*coupl( &
              nGC_55)**2d0 + 16d0*Nc*Ten55*coupl(nGC_55)**2d0 + 4d0*Nc*Ten56*  &
              cMH**2d0*coupl(nGC_55)**2d0 + 4d0*Nc*Ten68*cMU**2d0*coupl(nGC_87 &
              )**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten69*cMC**2d0*coupl(nGC_59&
              )**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten70*cMT**2d0*coupl(nGC_79&
              )**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten71*cMD**2d0*coupl(nGC_63&
              )**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten72*cMS**2d0*coupl(nGC_75&
              )**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten73*cMB**2d0*coupl(nGC_55&
              )**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten78*coupl(nGC_87)**2d0*  &
              rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten79*coupl(nGC_59)**2d0*&
              rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten80*coupl(nGC_79)**2d0*&
              rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten81*coupl(nGC_63)**2d0*&
              rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten82*coupl(nGC_75)**2d0*&
              rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten83*coupl(nGC_55)**2d0*&
              rMH**2d0*(cMH**2d0 - rMH**2d0) + 16d0*Nc*Ten87*coupl(nGC_87)**2d0&
              *(cMH**2d0 - rMH**2d0) + 16d0*Nc*Ten88*coupl(nGC_59)**2d0*(cMH** &
              2d0 - rMH**2d0) + 16d0*Nc*Ten89*coupl(nGC_79)**2d0*(cMH**2d0 -   &
              rMH**2d0) + 16d0*Nc*Ten90*coupl(nGC_63)**2d0*(cMH**2d0 - rMH**2d0&
              ) + 16d0*Nc*Ten91*coupl(nGC_75)**2d0*(cMH**2d0 - rMH**2d0) + 16d0&
              *Nc*Ten92*coupl(nGC_55)**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten96&
              *coupl(nGC_87)**2d0*rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten97&
              *coupl(nGC_59)**2d0*rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten98&
              *coupl(nGC_79)**2d0*rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Nc*Ten99&
              *coupl(nGC_63)**2d0*rMH**2d0*(cMH**2d0 - rMH**2d0) + cima*Ten0*  &
              coupl(nGC_15)/2d0 + cima*Ten1*(coupl(nGC_13) - 4d0*coupl(nGC_46  &
              ))/2d0 + Ten12*(-5d0*cMH**2d0*coupl(nGC_37)**2d0/2d0 + coupl(    &
              nGC_44)**2d0 - coupl(nGC_48)**2d0/2d0 - 2d0*coupl(nGC_52)**2d0   &
              ) + Ten13*(-5d0*cMH**2d0*coupl(nGC_20)*coupl(nGC_21) + 2d0*coupl(&
              nGC_31)**2d0 - coupl(nGC_48)**2d0 - 4d0*coupl(nGC_50)**2d0) -    &
              Ten14*coupl(nGC_49)**2d0/2d0 + 4d0*Ten15*cME**2d0*coupl(nGC_67)**&
              2d0 + 4d0*Ten16*cMM**2d0*coupl(nGC_71)**2d0 + 4d0*Ten17*cMTA**2d0&
              *coupl(nGC_83)**2d0 + cima*Ten2*(coupl(nGC_13) - 4d0*coupl(nGC_17&
              )) - Ten24*cMH**2d0*coupl(nGC_37)**2d0 - 4d0*Ten25*coupl(nGC_37  &
              )**2d0 - Ten26*cMH**2d0*coupl(nGC_37)**2d0 - 2d0*Ten27*cMH**2d0* &
              coupl(nGC_20)*coupl(nGC_21) - 8d0*Ten28*coupl(nGC_20)*coupl(     &
              nGC_21) - 2d0*Ten29*cMH**2d0*coupl(nGC_20)*coupl(nGC_21) + 4d0*  &
              Ten30*cMH**2d0*coupl(nGC_67)**2d0 + 16d0*Ten31*coupl(nGC_67)**2d0&
               + 4d0*Ten32*cMH**2d0*coupl(nGC_67)**2d0 + 4d0*Ten33*cMH**2d0*   &
              coupl(nGC_71)**2d0 + 16d0*Ten34*coupl(nGC_71)**2d0 + 4d0*Ten35*  &
              cMH**2d0*coupl(nGC_71)**2d0 + 4d0*Ten36*cMH**2d0*coupl(nGC_83)** &
              2d0 + 16d0*Ten37*coupl(nGC_83)**2d0 + 4d0*Ten38*cMH**2d0*coupl(  &
              nGC_83)**2d0 + Ten57*(-5d0*cMH**2d0*coupl(nGC_37)**2d0*rMH**2d0/ &
              2d0 + cMH**2d0*coupl(nGC_44)**2d0 - cMH**2d0*coupl(nGC_48)**2d0/ &
              2d0 - 2d0*cMH**2d0*coupl(nGC_52)**2d0 + 5d0*coupl(nGC_37)**2d0*  &
              rMH**4d0/2d0 - coupl(nGC_44)**2d0*rMH**2d0 + coupl(nGC_48)**2d0* &
              rMH**2d0/2d0 + 2d0*coupl(nGC_52)**2d0*rMH**2d0) + Ten58*coupl(   &
              nGC_37)**2d0*rMH**2d0*(-cMH**2d0 + rMH**2d0) + 4d0*Ten59*coupl(  &
              nGC_37)**2d0*(-cMH**2d0 + rMH**2d0) + Ten60*coupl(nGC_37)**2d0*  &
              rMH**2d0*(-cMH**2d0 + rMH**2d0) + Ten61*(-5d0*cMH**2d0*coupl(    &
              nGC_20)*coupl(nGC_21)*rMH**2d0 + 2d0*cMH**2d0*coupl(nGC_31)**2d0 &
               - cMH**2d0*coupl(nGC_48)**2d0 - 4d0*cMH**2d0*coupl(nGC_50)**2d0 &
               + 5d0*coupl(nGC_20)*coupl(nGC_21)*rMH**4d0 - 2d0*coupl(nGC_31)**&
              2d0*rMH**2d0 + coupl(nGC_48)**2d0*rMH**2d0 + 4d0*coupl(nGC_50)** &
              2d0*rMH**2d0) + 2d0*Ten62*coupl(nGC_20)*coupl(nGC_21)*rMH**2d0*(-&
              cMH**2d0 + rMH**2d0) + 8d0*Ten63*coupl(nGC_20)*coupl(nGC_21)*(-  &
              cMH**2d0 + rMH**2d0) + 2d0*Ten64*coupl(nGC_20)*coupl(nGC_21)*rMH &
              **2d0*(-cMH**2d0 + rMH**2d0) + 4d0*Ten65*cME**2d0*coupl(nGC_67)**&
              2d0*(cMH**2d0 - rMH**2d0) + 4d0*Ten66*cMM**2d0*coupl(nGC_71)**2d0&
              *(cMH**2d0 - rMH**2d0) + 4d0*Ten67*cMTA**2d0*coupl(nGC_83)**2d0*(&
              cMH**2d0 - rMH**2d0) + Ten74*coupl(nGC_49)**2d0*(-cMH**2d0 + rMH &
              **2d0)/2d0 + 4d0*Ten75*coupl(nGC_67)**2d0*rMH**2d0*(cMH**2d0 -   &
              rMH**2d0) + 4d0*Ten76*coupl(nGC_71)**2d0*rMH**2d0*(cMH**2d0 - rMH&
              **2d0) + 4d0*Ten77*coupl(nGC_83)**2d0*rMH**2d0*(cMH**2d0 - rMH** &
              2d0) + 16d0*Ten84*coupl(nGC_67)**2d0*(cMH**2d0 - rMH**2d0) + 16d0&
              *Ten85*coupl(nGC_71)**2d0*(cMH**2d0 - rMH**2d0) + 16d0*Ten86*    &
              coupl(nGC_83)**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Ten93*coupl(nGC_67&
              )**2d0*rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Ten94*coupl(nGC_71)**&
              2d0*rMH**2d0*(cMH**2d0 - rMH**2d0) + 4d0*Ten95*coupl(nGC_83)**2d0&
              *rMH**2d0*(cMH**2d0 - rMH**2d0) + pi**2d0*(-4d0*Nc*cMB**2d0*coupl&
              (nGC_55)**2d0/pi**2d0 - 4d0*Nc*cMC**2d0*coupl(nGC_59)**2d0/pi**  &
              2d0 - 4d0*Nc*cMD**2d0*coupl(nGC_63)**2d0/pi**2d0 + 2d0*Nc*cMH**  &
              2d0*coupl(nGC_55)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMH**2d0*coupl(    &
              nGC_59)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMH**2d0*coupl(nGC_63)**2d0/(&
              3d0*pi**2d0) + 2d0*Nc*cMH**2d0*coupl(nGC_75)**2d0/(3d0*pi**2d0   &
              ) + 2d0*Nc*cMH**2d0*coupl(nGC_79)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMH&
              **2d0*coupl(nGC_87)**2d0/(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(  &
              nGC_75)**2d0/pi**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_79)**2d0/pi**2d0&
               - 4d0*Nc*cMU**2d0*coupl(nGC_87)**2d0/pi**2d0 - 4d0*cME**2d0*    &
              coupl(nGC_67)**2d0/pi**2d0 - cMH**2d0*coupl(nGC_20)*coupl(nGC_21 &
              )/(3d0*pi**2d0) - cMH**2d0*coupl(nGC_37)**2d0/(6d0*pi**2d0) + 2d0&
              *cMH**2d0*coupl(nGC_67)**2d0/(3d0*pi**2d0) + 2d0*cMH**2d0*coupl( &
              nGC_71)**2d0/(3d0*pi**2d0) + 2d0*cMH**2d0*coupl(nGC_83)**2d0/(3d0&
              *pi**2d0) - 4d0*cMM**2d0*coupl(nGC_71)**2d0/pi**2d0 - 4d0*cMTA** &
              2d0*coupl(nGC_83)**2d0/pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_17)/&
              pi**2d0 + 2d0*cMW**2d0*coupl(nGC_20)*coupl(nGC_21)/pi**2d0 + cMZ &
              **2d0*coupl(nGC_37)**2d0/pi**2d0 + cima*cMZ**2d0*coupl(nGC_46)/pi&
              **2d0 + 2d0*coupl(nGC_50)**2d0/pi**2d0 + coupl(nGC_52)**2d0/pi** &
              2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMH2_QED2 = cone*real(dMH2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter47
end module ctparameter47
