!******************************************************************************!
!                                                                              !
!    ctparameter48.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter48.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter48
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter48()
  dZH_QED2 = (-4d0*Nc*Ten100*coupl(nGC_75)**2d0*rMH**2d0 - 4d0*Nc*Ten101*coupl(&
             nGC_55)**2d0*rMH**2d0 - 4d0*Nc*Ten39*coupl(nGC_87)**2d0 - 4d0*Nc* &
             Ten41*coupl(nGC_87)**2d0 - 4d0*Nc*Ten42*coupl(nGC_59)**2d0 - 4d0* &
             Nc*Ten44*coupl(nGC_59)**2d0 - 4d0*Nc*Ten45*coupl(nGC_79)**2d0 -   &
             4d0*Nc*Ten47*coupl(nGC_79)**2d0 - 4d0*Nc*Ten48*coupl(nGC_63)**2d0 &
              - 4d0*Nc*Ten50*coupl(nGC_63)**2d0 - 4d0*Nc*Ten51*coupl(nGC_75)** &
             2d0 - 4d0*Nc*Ten53*coupl(nGC_75)**2d0 - 4d0*Nc*Ten54*coupl(nGC_55 &
             )**2d0 - 4d0*Nc*Ten56*coupl(nGC_55)**2d0 - 4d0*Nc*Ten68*cMU**2d0* &
             coupl(nGC_87)**2d0 - 4d0*Nc*Ten69*cMC**2d0*coupl(nGC_59)**2d0 -   &
             4d0*Nc*Ten70*cMT**2d0*coupl(nGC_79)**2d0 - 4d0*Nc*Ten71*cMD**2d0* &
             coupl(nGC_63)**2d0 - 4d0*Nc*Ten72*cMS**2d0*coupl(nGC_75)**2d0 -   &
             4d0*Nc*Ten73*cMB**2d0*coupl(nGC_55)**2d0 - 4d0*Nc*Ten78*coupl(    &
             nGC_87)**2d0*rMH**2d0 - 4d0*Nc*Ten79*coupl(nGC_59)**2d0*rMH**2d0  &
              - 4d0*Nc*Ten80*coupl(nGC_79)**2d0*rMH**2d0 - 4d0*Nc*Ten81*coupl( &
             nGC_63)**2d0*rMH**2d0 - 4d0*Nc*Ten82*coupl(nGC_75)**2d0*rMH**2d0  &
              - 4d0*Nc*Ten83*coupl(nGC_55)**2d0*rMH**2d0 - 16d0*Nc*Ten87*coupl(&
             nGC_87)**2d0 - 16d0*Nc*Ten88*coupl(nGC_59)**2d0 - 16d0*Nc*Ten89*  &
             coupl(nGC_79)**2d0 - 16d0*Nc*Ten90*coupl(nGC_63)**2d0 - 16d0*Nc*  &
             Ten91*coupl(nGC_75)**2d0 - 16d0*Nc*Ten92*coupl(nGC_55)**2d0 - 4d0*&
             Nc*Ten96*coupl(nGC_87)**2d0*rMH**2d0 - 4d0*Nc*Ten97*coupl(nGC_59  &
             )**2d0*rMH**2d0 - 4d0*Nc*Ten98*coupl(nGC_79)**2d0*rMH**2d0 - 4d0* &
             Nc*Ten99*coupl(nGC_63)**2d0*rMH**2d0 + 5d0*Ten12*coupl(nGC_37)**  &
             2d0/2d0 + 5d0*Ten13*coupl(nGC_20)*coupl(nGC_21) + Ten24*coupl(    &
             nGC_37)**2d0 + Ten26*coupl(nGC_37)**2d0 + 2d0*Ten27*coupl(nGC_20)*&
             coupl(nGC_21) + 2d0*Ten29*coupl(nGC_20)*coupl(nGC_21) - 4d0*Ten30*&
             coupl(nGC_67)**2d0 - 4d0*Ten32*coupl(nGC_67)**2d0 - 4d0*Ten33*    &
             coupl(nGC_71)**2d0 - 4d0*Ten35*coupl(nGC_71)**2d0 - 4d0*Ten36*    &
             coupl(nGC_83)**2d0 - 4d0*Ten38*coupl(nGC_83)**2d0 + Ten57*(5d0*   &
             coupl(nGC_37)**2d0*rMH**2d0/2d0 - coupl(nGC_44)**2d0 + coupl(     &
             nGC_48)**2d0/2d0 + 2d0*coupl(nGC_52)**2d0) + Ten58*coupl(nGC_37)**&
             2d0*rMH**2d0 + 4d0*Ten59*coupl(nGC_37)**2d0 + Ten60*coupl(nGC_37  &
             )**2d0*rMH**2d0 + Ten61*(5d0*coupl(nGC_20)*coupl(nGC_21)*rMH**2d0 &
              - 2d0*coupl(nGC_31)**2d0 + coupl(nGC_48)**2d0 + 4d0*coupl(nGC_50 &
             )**2d0) + 2d0*Ten62*coupl(nGC_20)*coupl(nGC_21)*rMH**2d0 + 8d0*   &
             Ten63*coupl(nGC_20)*coupl(nGC_21) + 2d0*Ten64*coupl(nGC_20)*coupl(&
             nGC_21)*rMH**2d0 - 4d0*Ten65*cME**2d0*coupl(nGC_67)**2d0 - 4d0*   &
             Ten66*cMM**2d0*coupl(nGC_71)**2d0 - 4d0*Ten67*cMTA**2d0*coupl(    &
             nGC_83)**2d0 + Ten74*coupl(nGC_49)**2d0/2d0 - 4d0*Ten75*coupl(    &
             nGC_67)**2d0*rMH**2d0 - 4d0*Ten76*coupl(nGC_71)**2d0*rMH**2d0 -   &
             4d0*Ten77*coupl(nGC_83)**2d0*rMH**2d0 - 16d0*Ten84*coupl(nGC_67)**&
             2d0 - 16d0*Ten85*coupl(nGC_71)**2d0 - 16d0*Ten86*coupl(nGC_83)**  &
             2d0 - 4d0*Ten93*coupl(nGC_67)**2d0*rMH**2d0 - 4d0*Ten94*coupl(    &
             nGC_71)**2d0*rMH**2d0 - 4d0*Ten95*coupl(nGC_83)**2d0*rMH**2d0 + pi&
             **2d0*(-2d0*Nc*coupl(nGC_55)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(   &
             nGC_59)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_63)**2d0/(3d0*pi**  &
             2d0) - 2d0*Nc*coupl(nGC_75)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(    &
             nGC_79)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_87)**2d0/(3d0*pi**  &
             2d0) + coupl(nGC_20)*coupl(nGC_21)/(3d0*pi**2d0) + coupl(nGC_37)**&
             2d0/(6d0*pi**2d0) - 2d0*coupl(nGC_67)**2d0/(3d0*pi**2d0) - 2d0*   &
             coupl(nGC_71)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_83)**2d0/(3d0*pi &
             **2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZH_QED2 = cone*real(dZH_QED2,kind=dp)
    end if 
end subroutine set_ctparameter48
end module ctparameter48
