!******************************************************************************!
!                                                                              !
!    ctparameter53.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter53.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter53
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter53()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten182*coupl(nGC_2)**2d0 + Ten183*(-2d0*coupl(nGC_39)**2d0&
                 - coupl(nGC_58)*coupl(nGC_60)) - Ten184*coupl(nGC_59)**2d0 +  &
                2d0*Ten185*coupl(nGC_2)**2d0 + Ten186*(-2d0*coupl(nGC_23)**2d0 &
                 - coupl(nGC_73)**2d0) + Ten190*cMC*rMC*(-8d0*coupl(nGC_35)*   &
                coupl(nGC_39) + coupl(nGC_58)**2d0 + coupl(nGC_60)**2d0) + 2d0*&
                Ten191*cMC*coupl(nGC_59)**2d0*rMC + 4d0*Ten192*coupl(nGC_2)**  &
                2d0*rMC*(-2d0*cMC + rMC) + 2d0*Ten193*cMS*coupl(nGC_57)*coupl( &
                nGC_73)*rMC + 2d0*Ten194*rMC**2d0*(-coupl(nGC_35)**2d0 - coupl(&
                nGC_39)**2d0 - coupl(nGC_58)*coupl(nGC_60)) - 2d0*Ten195*coupl(&
                nGC_59)**2d0*rMC**2d0 + 4d0*Ten196*coupl(nGC_2)**2d0*rMC**2d0  &
                 + Ten197*rMC**2d0*(-2d0*coupl(nGC_23)**2d0 - coupl(nGC_57)**  &
                2d0 - coupl(nGC_73)**2d0) + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0&
                 - coupl(nGC_23)**2d0/pi**2d0 - coupl(nGC_39)**2d0/pi**2d0))/( &
                16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter53
end module ctparameter53
