!******************************************************************************!
!                                                                              !
!    ctparameter60.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter60.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter60
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter60()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = (2d0*Ten164*cMD*coupl(nGC_1)**2d0 + Ten165*cMD*(coupl(nGC_34)** &
               2d0 + coupl(nGC_38)**2d0 + coupl(nGC_62)*coupl(nGC_64)) + Ten166&
               *cMD*coupl(nGC_63)**2d0 - 2d0*Ten167*cMD*coupl(nGC_1)**2d0 +    &
               Ten168*cMD*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_61)**2d0 + coupl(&
               nGC_85)**2d0)/2d0 + Ten169*cMD*(8d0*coupl(nGC_34)*coupl(nGC_38  &
               ) - coupl(nGC_62)**2d0 - coupl(nGC_64)**2d0)/2d0 - Ten170*cMD*  &
               coupl(nGC_63)**2d0 - Ten171*cMU*coupl(nGC_61)*coupl(nGC_85) + pi&
               **2d0*(-cMD*coupl(nGC_1)**2d0/pi**2d0 + cMD*coupl(nGC_23)**2d0/(&
               2d0*pi**2d0) + cMD*coupl(nGC_34)**2d0/(2d0*pi**2d0) - 2d0*cMD*  &
               coupl(nGC_34)*coupl(nGC_38)/pi**2d0 + cMD*coupl(nGC_38)**2d0/(  &
               2d0*pi**2d0)))/(16d0*pi**2d0)
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter60
end module ctparameter60
