!******************************************************************************!
!                                                                              !
!    ctparameter63.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter63.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter63
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter63()
  if (dMB_QCD2_scheme .eq. 0) then
    dMB_QCD2 = (pi**2d0*(-4d0*Nc*aS*cMB**2d0/(pi*rMB) + 4d0*Nc*aS*rMB/pi - Nc* &
               cMB*coupl(nGC_11)**2d0/(2d0*pi**2d0) + 4d0*aS*cMB**2d0/(pi*Nc*  &
               rMB) - 4d0*aS*rMB/(pi*Nc) + cMB*coupl(nGC_11)**2d0/(2d0*pi**2d0*&
               Nc)) + Ten234*cMB*coupl(nGC_11)**2d0*(Nc**2d0 - 1d0)/Nc + Ten237&
               *cMB*coupl(nGC_11)**2d0*(-Nc**2d0 + 1d0)/Nc + 2d0*Ten244*coupl( &
               nGC_11)**2d0*rMB*(2d0*Nc**2d0*cMB**2d0 - 3d0*Nc**2d0*cMB*rMB +  &
               Nc**2d0*rMB**2d0 - 2d0*cMB**2d0 + 3d0*cMB*rMB - rMB**2d0)/Nc +  &
               2d0*Ten248*coupl(nGC_11)**2d0*rMB**2d0*(-Nc**2d0*cMB + Nc**2d0* &
               rMB + cMB - rMB)/Nc)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMB_QCD2 = cone*real(dMB_QCD2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter63
end module ctparameter63
