!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  dZg_QCD2 = (5d0*Nc*Ten102*coupl(nGC_10)**2d0/3d0 + 4d0*Ten127*cMU_reg**2d0*  &
             coupl(nGC_11)**2d0 + 4d0*Ten128*cMC_reg**2d0*coupl(nGC_11)**2d0 + &
             4d0*Ten129*cMT**2d0*coupl(nGC_11)**2d0 + 4d0*Ten130*cMD_reg**2d0* &
             coupl(nGC_11)**2d0 + 4d0*Ten131*cMS_reg**2d0*coupl(nGC_11)**2d0 + &
             4d0*Ten132*cMB_reg**2d0*coupl(nGC_11)**2d0 - 8d0*Ten133*coupl(    &
             nGC_11)**2d0 - 8d0*Ten134*coupl(nGC_11)**2d0 - 8d0*Ten135*coupl(  &
             nGC_11)**2d0 - 8d0*Ten136*coupl(nGC_11)**2d0 - 8d0*Ten137*coupl(  &
             nGC_11)**2d0 - 8d0*Ten138*coupl(nGC_11)**2d0 - 2d0*Ten139*coupl(  &
             nGC_11)**2d0/3d0 - 2d0*Ten140*coupl(nGC_11)**2d0/3d0 - 2d0*Ten141*&
             coupl(nGC_11)**2d0/3d0 - 2d0*Ten142*coupl(nGC_11)**2d0/3d0 - 2d0* &
             Ten143*coupl(nGC_11)**2d0/3d0 - 2d0*coupl(nGC_11)**2d0/3d0)/(16d0*&
             pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter69
end module ctparameter69
