!******************************************************************************!
!                                                                              !
!    ctparameter76.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter76.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter76
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter76()
  dZZ_QED2 = (2d0*Nc*Ten393*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0)/3d0 + 2d0&
             *Nc*Ten394*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0)/3d0 + 2d0*Nc*&
             Ten395*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0)/3d0 + 2d0*Nc*    &
             Ten396*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0)/3d0 + 2d0*Nc*    &
             Ten397*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0)/3d0 + 2d0*Nc*    &
             Ten398*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0)/3d0 + 2d0*Nc*    &
             Ten438*(-cMU**2d0*coupl(nGC_35)**2d0 + 6d0*cMU**2d0*coupl(nGC_35)*&
             coupl(nGC_39) - cMU**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35)**2d0* &
             rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten439*(-cMC &
             **2d0*coupl(nGC_35)**2d0 + 6d0*cMC**2d0*coupl(nGC_35)*coupl(nGC_39&
             ) - cMC**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35)**2d0*rMZ**2d0 +   &
             coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten440*(-cMT**2d0*coupl(&
             nGC_35)**2d0 + 6d0*cMT**2d0*coupl(nGC_35)*coupl(nGC_39) - cMT**2d0&
             *coupl(nGC_39)**2d0 + coupl(nGC_35)**2d0*rMZ**2d0 + coupl(nGC_39  &
             )**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten441*(-cMD**2d0*coupl(nGC_34)**2d0&
              + 6d0*cMD**2d0*coupl(nGC_34)*coupl(nGC_38) - cMD**2d0*coupl(     &
             nGC_38)**2d0 + coupl(nGC_34)**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Nc*Ten442*(-cMS**2d0*coupl(nGC_34)**2d0 + 6d0*&
             cMS**2d0*coupl(nGC_34)*coupl(nGC_38) - cMS**2d0*coupl(nGC_38)**2d0&
              + coupl(nGC_34)**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 &
              + 2d0*Nc*Ten443*(-cMB**2d0*coupl(nGC_34)**2d0 + 6d0*cMB**2d0*    &
             coupl(nGC_34)*coupl(nGC_38) - cMB**2d0*coupl(nGC_38)**2d0 + coupl(&
             nGC_34)**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + Ten0*  &
             coupl(nGC_37)**2d0*(-cMH**2d0 + cMZ**2d0)/(3d0*rMZ**4d0) + Ten1*  &
             coupl(nGC_37)**2d0*(cMH**2d0 - cMZ**2d0)/(3d0*rMZ**4d0) + Ten388* &
             coupl(nGC_37)**2d0*(cMH**4d0 - 2d0*cMH**2d0*cMZ**2d0 + cMZ**4d0 - &
             rMZ**4d0)/(3d0*rMZ**4d0) + Ten389*(-coupl(nGC_24)**2d0/12d0 - 13d0&
             *coupl(nGC_25)**2d0/4d0 + coupl(nGC_40)**2d0/3d0) + Ten390*(2d0*  &
             coupl(nGC_36)**2d0/3d0 + 2d0*coupl(nGC_40)**2d0/3d0) + Ten391*(2d0&
             *coupl(nGC_36)**2d0/3d0 + 2d0*coupl(nGC_40)**2d0/3d0) + Ten392*(  &
             2d0*coupl(nGC_36)**2d0/3d0 + 2d0*coupl(nGC_40)**2d0/3d0) + 2d0*   &
             Ten433*coupl(nGC_41)**2d0 + Ten434*(cMW**2d0*coupl(nGC_24)**2d0/  &
             3d0 - 5d0*cMW**2d0*coupl(nGC_25)**2d0 - 4d0*cMW**2d0*coupl(nGC_40 &
             )**2d0/3d0 - coupl(nGC_24)**2d0*rMZ**2d0/12d0 - 13d0*coupl(nGC_25 &
             )**2d0*rMZ**2d0/4d0 + coupl(nGC_40)**2d0*rMZ**2d0/3d0 + 2d0*coupl(&
             nGC_47)**2d0) + Ten435*(-2d0*cME**2d0*coupl(nGC_36)**2d0/3d0 + 4d0&
             *cME**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*cME**2d0*coupl(nGC_40 &
             )**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 2d0*coupl(     &
             nGC_40)**2d0*rMZ**2d0/3d0) + Ten436*(-2d0*cMM**2d0*coupl(nGC_36)**&
             2d0/3d0 + 4d0*cMM**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*cMM**2d0*&
             coupl(nGC_40)**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 2d0&
             *coupl(nGC_40)**2d0*rMZ**2d0/3d0) + Ten437*(-2d0*cMTA**2d0*coupl( &
             nGC_36)**2d0/3d0 + 4d0*cMTA**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0&
             *cMTA**2d0*coupl(nGC_40)**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**  &
             2d0/3d0 + 2d0*coupl(nGC_40)**2d0*rMZ**2d0/3d0) + 2d0*Ten444*coupl(&
             nGC_41)**2d0*rMZ**2d0 + Ten445*(-cMH**4d0*coupl(nGC_37)**2d0 + 2d0&
             *cMH**2d0*cMZ**2d0*coupl(nGC_37)**2d0 + 2d0*cMH**2d0*coupl(nGC_37 &
             )**2d0*rMZ**2d0 - cMZ**4d0*coupl(nGC_37)**2d0 + 2d0*cMZ**2d0*coupl&
             (nGC_37)**2d0*rMZ**2d0 - coupl(nGC_37)**2d0*rMZ**4d0 + 3d0*coupl( &
             nGC_52)**2d0*rMZ**2d0)/(3d0*rMZ**2d0) + pi**2d0*(-2d0*Nc*coupl(   &
             nGC_34)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_35)**2d0/(3d0*pi**  &
             2d0) - 2d0*Nc*coupl(nGC_38)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(    &
             nGC_39)**2d0/(3d0*pi**2d0) - coupl(nGC_24)**2d0/(18d0*pi**2d0) -  &
             coupl(nGC_25)**2d0/(6d0*pi**2d0) - 2d0*coupl(nGC_36)**2d0/(3d0*pi &
             **2d0) - 2d0*coupl(nGC_37)**2d0/(9d0*pi**2d0) - 4d0*coupl(nGC_40  &
             )**2d0/(9d0*pi**2d0) - 2d0*coupl(nGC_41)**2d0/(3d0*pi**2d0)))/(   &
             16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter76
end module ctparameter76
