!******************************************************************************!
!                                                                              !
!    ctparameter83.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter83.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter83
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter83()
  dZWMinus_QED2 = (Nc*Ten10*coupl(nGC_23)**2d0*(cMC**2d0 - cMS**2d0)/(3d0*rMW**&
                  4d0) + Nc*Ten11*coupl(nGC_23)**2d0*(-cMB**2d0 + cMT**2d0)/(  &
                  3d0*rMW**4d0) + Nc*Ten478*coupl(nGC_23)**2d0*(cMD**4d0 - 2d0*&
                  cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0   &
                  ) + Nc*Ten479*coupl(nGC_23)**2d0*(cMC**4d0 - 2d0*cMC**2d0*cMS&
                  **2d0 + cMS**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten480* &
                  coupl(nGC_23)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0 + cMT** &
                  4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten486*coupl(nGC_23  &
                  )**2d0*(-cMD**4d0 + 2d0*cMD**2d0*cMU**2d0 - cMD**2d0*rMW**2d0&
                   - cMU**4d0 - cMU**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0&
                  ) + Nc*Ten487*coupl(nGC_23)**2d0*(-cMC**4d0 + 2d0*cMC**2d0*  &
                  cMS**2d0 - cMC**2d0*rMW**2d0 - cMS**4d0 - cMS**2d0*rMW**2d0  &
                   + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten488*coupl(nGC_23)**  &
                  2d0*(-cMB**4d0 + 2d0*cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0 - &
                  cMT**4d0 - cMT**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0   &
                  ) + Nc*Ten6*coupl(nGC_23)**2d0*(cMD**2d0 - cMU**2d0)/(3d0*rMW&
                  **4d0) + Nc*Ten7*coupl(nGC_23)**2d0*(-cMC**2d0 + cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten8*coupl(nGC_23)**2d0*(cMB**2d0 - cMT** &
                  2d0)/(3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_23)**2d0*(-cMD**2d0  &
                   + cMU**2d0)/(3d0*rMW**4d0) + Ten0*coupl(nGC_20)*coupl(nGC_21&
                  )*(-cMH**2d0 + cMW**2d0)/(3d0*rMW**4d0) + Ten1*(4d0*cMW**2d0*&
                  coupl(nGC_22)**2d0 + cMW**2d0*coupl(nGC_24)**2d0 - 9d0*cMW** &
                  2d0*coupl(nGC_25)**2d0 - 4d0*cMZ**2d0*coupl(nGC_22)**2d0 -   &
                  cMZ**2d0*coupl(nGC_24)**2d0 + 9d0*cMZ**2d0*coupl(nGC_25)**2d0&
                  )/(12d0*rMW**4d0) + Ten2*(4d0*cMH**2d0*coupl(nGC_20)*coupl(  &
                  nGC_21) - 4d0*cMW**2d0*coupl(nGC_20)*coupl(nGC_21) - 4d0*cMW &
                  **2d0*coupl(nGC_22)**2d0 - cMW**2d0*coupl(nGC_24)**2d0 + 9d0*&
                  cMW**2d0*coupl(nGC_25)**2d0 + 9d0*cMW**2d0*coupl(nGC_3)**2d0 &
                   - cMW**2d0*coupl(nGC_4)**2d0 + 4d0*cMZ**2d0*coupl(nGC_22)** &
                  2d0 + cMZ**2d0*coupl(nGC_24)**2d0 - 9d0*cMZ**2d0*coupl(nGC_25&
                  )**2d0)/(12d0*rMW**4d0) - Ten3*cME**2d0*coupl(nGC_23)**2d0/( &
                  3d0*rMW**4d0) - Ten4*cMM**2d0*coupl(nGC_23)**2d0/(3d0*rMW**  &
                  4d0) + Ten446*(4d0*cME**2d0*coupl(nGC_23)**2d0 + 4d0*cMM**2d0&
                  *coupl(nGC_23)**2d0 + 4d0*cMTA**2d0*coupl(nGC_23)**2d0 - 9d0*&
                  cMW**2d0*coupl(nGC_3)**2d0 + cMW**2d0*coupl(nGC_4)**2d0)/(   &
                  12d0*rMW**4d0) + Ten447*(-9d0*cMW**4d0*coupl(nGC_3)**2d0 +   &
                  cMW**4d0*coupl(nGC_4)**2d0 - 39d0*coupl(nGC_3)**2d0*rMW**4d0 &
                   - coupl(nGC_4)**2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten451*(4d0*&
                  cMW**4d0*coupl(nGC_22)**2d0 + cMW**4d0*coupl(nGC_24)**2d0 -  &
                  9d0*cMW**4d0*coupl(nGC_25)**2d0 - 8d0*cMW**2d0*cMZ**2d0*coupl&
                  (nGC_22)**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_24)**2d0 +   &
                  18d0*cMW**2d0*cMZ**2d0*coupl(nGC_25)**2d0 + 4d0*cMZ**4d0*    &
                  coupl(nGC_22)**2d0 + cMZ**4d0*coupl(nGC_24)**2d0 - 9d0*cMZ** &
                  4d0*coupl(nGC_25)**2d0 - 4d0*coupl(nGC_22)**2d0*rMW**4d0 -   &
                  coupl(nGC_24)**2d0*rMW**4d0 - 39d0*coupl(nGC_25)**2d0*rMW**  &
                  4d0)/(12d0*rMW**4d0) + Ten452*coupl(nGC_20)*coupl(nGC_21)*(  &
                  cMH**4d0 - 2d0*cMH**2d0*cMW**2d0 + cMW**4d0 - rMW**4d0)/(3d0*&
                  rMW**4d0) + Ten475*coupl(nGC_23)**2d0*(cME**4d0 + 2d0*rMW**  &
                  4d0)/(3d0*rMW**4d0) + Ten476*coupl(nGC_23)**2d0*(cMM**4d0 +  &
                  2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten477*coupl(nGC_23)**2d0*(   &
                  cMTA**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten481*(-4d0*cMW**&
                  4d0*coupl(nGC_22)**2d0 - cMW**4d0*coupl(nGC_24)**2d0 + 9d0*  &
                  cMW**4d0*coupl(nGC_25)**2d0 + 8d0*cMW**2d0*cMZ**2d0*coupl(   &
                  nGC_22)**2d0 + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_24)**2d0 -    &
                  18d0*cMW**2d0*cMZ**2d0*coupl(nGC_25)**2d0 + 8d0*cMW**2d0*    &
                  coupl(nGC_22)**2d0*rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_24)**2d0&
                  *rMW**2d0 - 30d0*cMW**2d0*coupl(nGC_25)**2d0*rMW**2d0 - 4d0* &
                  cMZ**4d0*coupl(nGC_22)**2d0 - cMZ**4d0*coupl(nGC_24)**2d0 +  &
                  9d0*cMZ**4d0*coupl(nGC_25)**2d0 + 8d0*cMZ**2d0*coupl(nGC_22  &
                  )**2d0*rMW**2d0 + 2d0*cMZ**2d0*coupl(nGC_24)**2d0*rMW**2d0 - &
                  30d0*cMZ**2d0*coupl(nGC_25)**2d0*rMW**2d0 - 4d0*coupl(nGC_22 &
                  )**2d0*rMW**4d0 - coupl(nGC_24)**2d0*rMW**4d0 - 39d0*coupl(  &
                  nGC_25)**2d0*rMW**4d0 + 12d0*coupl(nGC_47)**2d0*rMW**2d0)/(  &
                  12d0*rMW**2d0) + Ten482*(9d0*cMW**4d0*coupl(nGC_3)**2d0 - cMW&
                  **4d0*coupl(nGC_4)**2d0 - 30d0*cMW**2d0*coupl(nGC_3)**2d0*rMW&
                  **2d0 + 2d0*cMW**2d0*coupl(nGC_4)**2d0*rMW**2d0 - 39d0*coupl(&
                  nGC_3)**2d0*rMW**4d0 - coupl(nGC_4)**2d0*rMW**4d0 + 12d0*    &
                  coupl(nGC_51)**2d0*rMW**2d0)/(12d0*rMW**2d0) + Ten483*coupl( &
                  nGC_23)**2d0*(-cME**4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(&
                  3d0*rMW**2d0) + Ten484*coupl(nGC_23)**2d0*(-cMM**4d0 - cMM** &
                  2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten485*coupl(  &
                  nGC_23)**2d0*(-cMTA**4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0 &
                  )/(3d0*rMW**2d0) + Ten489*(-cMH**4d0*coupl(nGC_20)*coupl(    &
                  nGC_21) + 2d0*cMH**2d0*cMW**2d0*coupl(nGC_20)*coupl(nGC_21   &
                  ) + 2d0*cMH**2d0*coupl(nGC_20)*coupl(nGC_21)*rMW**2d0 - cMW**&
                  4d0*coupl(nGC_20)*coupl(nGC_21) + 2d0*cMW**2d0*coupl(nGC_20)*&
                  coupl(nGC_21)*rMW**2d0 - coupl(nGC_20)*coupl(nGC_21)*rMW**4d0&
                   + 3d0*coupl(nGC_50)**2d0*rMW**2d0)/(3d0*rMW**2d0) - Ten5*   &
                  cMTA**2d0*coupl(nGC_23)**2d0/(3d0*rMW**4d0) + pi**2d0*(-2d0* &
                  Nc*coupl(nGC_23)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_20)*coupl&
                  (nGC_21)/(9d0*pi**2d0) - 2d0*coupl(nGC_22)**2d0/(9d0*pi**2d0 &
                  ) - 2d0*coupl(nGC_23)**2d0/(3d0*pi**2d0) - coupl(nGC_24)**2d0&
                  /(18d0*pi**2d0) - coupl(nGC_25)**2d0/(6d0*pi**2d0) - coupl(  &
                  nGC_3)**2d0/(6d0*pi**2d0) - coupl(nGC_4)**2d0/(18d0*pi**2d0  &
                  )))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter83
end module ctparameter83
