!******************************************************************************!
!                                                                              !
!    ctparameter92.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter92.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter92
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter92()
  if (dZuR_QED2_scheme .eq. 1) then
    dZuR_QED2 = (2d0*Ten144*coupl(nGC_2)**2d0 - 2d0*Ten146*coupl(nGC_35)**2d0  &
                 + 2d0*Ten147*coupl(nGC_2)**2d0 - 4d0*Ten153*cMU_reg**2d0*coupl&
                (nGC_2)**2d0 + 4d0*Ten157*cMU_reg**2d0*coupl(nGC_2)**2d0 + pi**&
                2d0*(-coupl(nGC_2)**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0   &
                ))/(16d0*pi**2d0)
    dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter92
end module ctparameter92
