!******************************************************************************!
!                                                                              !
!    ctparameter99.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter99.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter99
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter99()
  if (dZtauMinusL_QED2_scheme .eq. 0) then
    dZtauMinusL_QED2 = (2d0*Ten330*coupl(nGC_4)**2d0 + Ten331*coupl(nGC_83)**  &
                       2d0 + Ten332*(-2d0*coupl(nGC_40)**2d0 - coupl(nGC_82)*  &
                       coupl(nGC_84)) + 2d0*Ten333*coupl(nGC_4)**2d0 - 2d0*    &
                       Ten334*coupl(nGC_23)**2d0 + Ten335*coupl(nGC_83)**2d0 + &
                       Ten337*cMTA*rMTA*(-8d0*coupl(nGC_36)*coupl(nGC_40) +    &
                       coupl(nGC_82)**2d0 + coupl(nGC_84)**2d0) + 4d0*Ten338*  &
                       coupl(nGC_4)**2d0*rMTA*(-2d0*cMTA + rMTA) + 2d0*Ten339* &
                       coupl(nGC_83)**2d0*rMTA*(cMTA + rMTA) + 2d0*Ten340*rMTA &
                       **2d0*(-coupl(nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(&
                       nGC_82)*coupl(nGC_84)) + 4d0*Ten341*coupl(nGC_4)**2d0*  &
                       rMTA**2d0 + Ten342*rMTA**2d0*(-2d0*coupl(nGC_23)**2d0 - &
                       coupl(nGC_81)**2d0) + 2d0*Ten343*coupl(nGC_83)**2d0*rMTA&
                       **2d0 + pi**2d0*(-coupl(nGC_23)**2d0/pi**2d0 - coupl(   &
                       nGC_4)**2d0/pi**2d0 - coupl(nGC_40)**2d0/pi**2d0))/(16d0&
                       *pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter99
end module ctparameter99
