!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dsw2_QED2 = cw**4d0*dMZ2_QED2/cMW**2d0 - cw**2d0*dMW2_QED2/cMW**2d0
  dsw_QED2 = cw**4d0*dMZ2_QED2/(2d0*cMW**2d0*sw) - cw**2d0*dMW2_QED2/(2d0*cMW**&
             2d0*sw)
  dlam_QED4 = cMH**2d0*dZee_QED2*gw**2d0/cMW**2d0 + cMH**2d0*dMW2_QED2*gw**2d0 &
              *(-2d0*sw**2d0 + 1d0)/(2d0*cMW**4d0*sw**2d0) + cMH**2d0*dMZ2_QED2&
              *gw**2d0*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(2d0*cMW**4d0*sw**2d0) + &
              dMH2_QED2*gw**2d0/(2d0*cMW**2d0)
  dcw_QED2 = -cw**3d0*dMZ2_QED2/(2d0*cMW**2d0) + cw*dMW2_QED2/(2d0*cMW**2d0)
  dg1_QED3 = -dZee_QED2*gw*sw/(2d0*cw) - cw*dMZ2_QED2*gw*sw/(4d0*cMW**2d0) +   &
             dMW2_QED2*gw*sw/(4d0*cMW**2d0*cw)
  dys_QED3 = sqrt(2d0)*cMS*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMS*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMS*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMS_QED2*gw/(2d0*cMW)
  dys_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*gw/(2d0*cMW)
  dytau_QED3 = sqrt(2d0)*cMTA*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMTA*dMW2_QED2&
               *gw*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMTA&
               *dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw** &
               2d0) + sqrt(2d0)*dMTA_QED2*gw/(2d0*cMW)
  dym_QED3 = sqrt(2d0)*cMM*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMM*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMM*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMM_QED2*gw/(2d0*cMW)
  dvev_QED1 = 2d0*cMW*dZee_QED2*(cw**2d0 - 1d0)/(gw*sw**2d0) + cw**4d0*        &
              dMZ2_QED2/(cMW*gw*sw**2d0) + dMW2_QED2*(-2d0*cw**2d0 + 1d0)/(cMW*&
              gw*sw**2d0)
  dgw_QED3 = dZee_QED2*gw - cw**4d0*dMZ2_QED2*gw/(2d0*cMW**2d0*sw**2d0) + cw** &
             2d0*dMW2_QED2*gw/(2d0*cMW**2d0*sw**2d0)
  dmuH2_QED2 = dMH2_QED2/2d0
  dyt_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*gw/(2d0*cMW)
  dyt_QED3 = sqrt(2d0)*cMT*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMT*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMT*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMT_QED2*gw/(2d0*cMW)
  dye_QED3 = sqrt(2d0)*cME*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cME*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cME*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dME_QED2*gw/(2d0*cMW)
  dydo_QED3 = sqrt(2d0)*cMD*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMD*dMW2_QED2*gw&
              *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMD*    &
              dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0&
              ) + sqrt(2d0)*dMD_QED2*gw/(2d0*cMW)
  dydo_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*gw/(2d0*cMW)
  dyup_QED3 = sqrt(2d0)*cMU*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMU*dMW2_QED2*gw&
              *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMU*    &
              dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0&
              ) + sqrt(2d0)*dMU_QED2*gw/(2d0*cMW)
  dyup_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*gw/(2d0*cMW)
  dyb_QED3 = sqrt(2d0)*cMB*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMB*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMB*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMB_QED2*gw/(2d0*cMW)
  dyb_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*gw/(2d0*cMW)
  dyc_QED3 = sqrt(2d0)*cMC*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMC*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMC*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMC_QED2*gw/(2d0*cMW)
  dyc_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*gw/(2d0*cMW)
end subroutine set_derived_ctparameter
end module derived_ctparameter
