!******************************************************************************!
!                                                                              !
!    fill_vertices.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_vertices.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_vertices
  implicit none
  contains
  subroutine fill_vertices_mdl()
    use class_vertices, only: vertices_filled
    use vertices_info1, only: fill_vertices_mdl1
    use vertices_info2, only: fill_vertices_mdl2
    use vertices_info3, only: fill_vertices_mdl3
    use vertices_info4, only: fill_vertices_mdl4
    use vertices_info5, only: fill_vertices_mdl5
    call fill_vertices_mdl1
    call fill_vertices_mdl2
    call fill_vertices_mdl3
    call fill_vertices_mdl4
    call fill_vertices_mdl5
    vertices_filled = .true.
  end subroutine fill_vertices_mdl
  subroutine clear_vertices_mdl
    use class_vertices, only:n_vertices,vertices,vertices_filled
    implicit none
    integer :: i
    do i = 0, n_vertices-1
      if (allocated(vertices(i)%branch)) then
        deallocate(vertices(i)%branch)
      end if
      if (allocated(vertices(i)%branchCT)) then
        deallocate(vertices(i)%branchCT)
      end if
      if (allocated(vertices(i)%branchR2)) then
        deallocate(vertices(i)%branchR2)
      end if
    end do
    vertices_filled = .false.
  end subroutine clear_vertices_mdl
    subroutine reset_vertices_mdl
      use class_particles, only: clear_particles_mdl,init_particles_mdl
      use fill_couplings, only: fill_couplings_mdl,fill_CTcouplings_mdl
      use fill_ctparameters, only: init_CTparameters_mdl
      implicit none
      call clear_particles_mdl
      call init_particles_mdl
      call clear_vertices_mdl
      call fill_couplings_mdl
      call init_CTparameters_mdl(.false.)
      call fill_CTcouplings_mdl
      call fill_vertices_mdl
    end subroutine reset_vertices_mdl
end module fill_vertices
