!******************************************************************************!
!                                                                              !
!    lcVFaF.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVFaF.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVFaF
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec
  contains
    subroutine loopVFaF(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,      &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VFaF0)
!       GammaP(1,2,3)*c0
!       GammaM(1,2,3)*c1
        pl(:) = PL1(:) + PL2(:)
        x14 = pl(0)*w2(3)
        x15 = pl(2)*w2(2)
        x17 = co(1)*m
        x18 = pl(1)*w2(2)
        x19 = pl(3)*w2(3)
        do j = riMaxIn, 0, -1
          x0 = w2(0)*wl(1,j)
          x1 = wl(0,j) - wl(3,j)
          x2 = w2(1)*x1
          x3 = x0 + x2
          x4 = wl(0,j) + wl(3,j)
          x5 = w2(0)*x4
          x6 = w2(1)*wl(1,j)
          x7 = cima*(x5 + x6)
          x8 = w2(3)*wl(2,j)
          x9 = w2(2)*x1
          x10 = w2(3)*wl(1,j)
          x11 = co(0)*(-cima*x10 + cima*x9 + x8)
          x12 = w2(3)*x4
          x13 = co(0)*(cima*w2(2)*wl(1,j) - cima*x12 + w2(2)*wl(2,j))
          x16 = w2(1)*wl(2,j)
          x20 = co(1)*(cima*x0 + cima*x2 + w2(0)*wl(2,j))
          x21 = -co(1)*(cima*x5 + cima*x6 - x16)
          x22 = -x20
          x23 = -co(0)*(cima*(x10 - x9) - x8)
          x24 = cima*wl(2,j)
          x25 = -wl(1,j) + x24
          x26 = wl(1,j) + x24
          wp(0,j) = co(1)*(cima*pl(2)*x3 + pl(1)*w2(1)*wl(2,j) - pl(1)*x7 + pl(&
                    2)*w2(0)*wl(2,j)) - m*x11
          wp(1,j) = -co(1)*(-cima*pl(3)*(x5 + x6) + pl(0)*(cima*x3 + w2(0)*wl(2&
                    ,j)) + pl(3)*w2(1)*wl(2,j)) + m*x13
          wp(2,j) = cima*co(0)*(-pl(0)*x9 - pl(2)*x12 + wl(1,j)*(x14 + x15)) + &
                    co(0)*wl(2,j)*(-x14 + x15) + x17*(x16 - x7)
          wp(3,j) = cima*co(0)*(-pl(1)*x12 - pl(3)*x9 + wl(1,j)*(x18 + x19)) + &
                    co(0)*wl(2,j)*(x18 - x19) - m*x20
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x21
          sp2(0,1) = x22
          sp2(0,2) = -x11
          sp2(0,3) = x13
          sp2(1,0) = x22
          sp2(1,1) = x21
          sp2(1,2) = -x13
          sp2(1,3) = x23
          sp2(2,0) = -co(1)*w2(0)*x25 + co(1)*x2
          sp2(2,1) = -co(1)*w2(1)*x26 - co(1)*x5
          sp2(2,2) = -co(0)*w2(2)*x25 - co(0)*x12
          sp2(2,3) = -co(0)*w2(3)*x26 + co(0)*x9
          sp2(3,0) = x21
          sp2(3,1) = x20
          sp2(3,2) = x23
          sp2(3,3) = x13
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(VFaF1)
!       GammaM(1,2,3)*c0
        pl(:) = PL1(:) + PL2(:)
        do j = riMaxIn, 0, -1
          x0 = w2(0)*wl(1,j)
          x1 = w2(1)*(wl(0,j) - wl(3,j))
          x2 = x0 + x1
          x3 = w2(0)*(wl(0,j) + wl(3,j))
          x4 = w2(1)*wl(1,j)
          x5 = co(0)*(cima*x3 + cima*x4 - w2(1)*wl(2,j))
          x6 = co(0)*(cima*x0 + cima*x1 + w2(0)*wl(2,j))
          x7 = -x5
          x8 = -x6
          x9 = cima*wl(2,j)
          wp(0,j) = co(0)*(-cima*pl(1)*(x3 + x4) + cima*pl(2)*x2 + wl(2,j)*(pl(&
                    1)*w2(1) + pl(2)*w2(0)))
          wp(1,j) = co(0)*(-cima*pl(0)*x2 + cima*pl(3)*(x3 + x4) - wl(2,j)*(pl(&
                    0)*w2(0) + pl(3)*w2(1)))
          wp(2,j) = -m*x5
          wp(3,j) = -m*x6
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x7
          sp2(0,1) = x8
          sp2(0,2) = 0
          sp2(0,3) = 0
          sp2(1,0) = x8
          sp2(1,1) = x7
          sp2(1,2) = 0
          sp2(1,3) = 0
          sp2(2,0) = co(0)*w2(0)*wl(1,j) - co(0)*w2(0)*x9 + co(0)*x1
          sp2(2,1) = -co(0)*w2(1)*wl(1,j) - co(0)*w2(1)*x9 - co(0)*x3
          sp2(2,2) = 0
          sp2(2,3) = 0
          sp2(3,0) = x7
          sp2(3,1) = x6
          sp2(3,2) = 0
          sp2(3,3) = 0
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopVFaF
end module lcVFaF
