!******************************************************************************!
!                                                                              !
!    tcSFaF.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcSFaF.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcSFaF
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20
  contains
    subroutine treeSFaF(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,  &
    VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(SFaF0)
!       ProjP(2,3)*c0
!       ProjM(2,3)*c1
    if (last .eqv. .false.) then
      pl(:) = PL1(:) + PL2(:)
      x0 = co(0)*w2(0)
      x1 = co(1)*w2(2)
      x2 = co(1)*w2(3)
      x3 = co(0)*w2(1)
      x4 = co(1)*m
      wout(0) = w1(0)*(m*x0 + pl(1)*x1 - pl(2)*x2)
      wout(1) = w1(0)*(m*x3 + pl(0)*x2 - pl(3)*x1)
      wout(2) = w1(0)*(pl(0)*x0 + pl(2)*x3 + w2(2)*x4)
      wout(3) = w1(0)*(pl(1)*x3 + pl(3)*x0 + w2(3)*x4)
    else
      x0 = co(0)*w1(0)
      x1 = co(1)*w1(0)
      wout(0) = w2(0)*x0
      wout(1) = w2(1)*x0
      wout(2) = w2(2)*x1
      wout(3) = w2(3)*x1
    end if 
      case(SFaF1)
!       ProjM(2,3)*c0
    if (last .eqv. .false.) then
      pl(:) = PL1(:) + PL2(:)
      x0 = co(0)*w1(0)
      x1 = co(0)*m*w1(0)
      wout(0) = x0*(pl(1)*w2(2) - pl(2)*w2(3))
      wout(1) = x0*(pl(0)*w2(3) - pl(3)*w2(2))
      wout(2) = w2(2)*x1
      wout(3) = w2(3)*x1
    else
      x0 = co(0)*w1(0)
      wout(0) = 0
      wout(1) = 0
      wout(2) = w2(2)*x0
      wout(3) = w2(3)*x0
    end if 
      case(SFaF2)
!       ProjP(2,3)*c0
    if (last .eqv. .false.) then
      pl(:) = PL1(:) + PL2(:)
      x0 = co(0)*m*w1(0)
      x1 = co(0)*w1(0)
      wout(0) = w2(0)*x0
      wout(1) = w2(1)*x0
      wout(2) = x1*(pl(0)*w2(0) + pl(2)*w2(1))
      wout(3) = x1*(pl(1)*w2(1) + pl(3)*w2(0))
    else
      x0 = co(0)*w1(0)
      wout(0) = w2(0)*x0
      wout(1) = w2(1)*x0
      wout(2) = 0
      wout(3) = 0
    end if 
      end select 
    end subroutine treeSFaF
end module tcSFaF
