!******************************************************************************!
!                                                                              !
!    tcVV.f90                                                                  !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVV.f90                                       |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20
  contains
    subroutine treeVV(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VV0)
!       P(1,2)*P(2,2)*c0
!       Metric(1,2)*P(-1,2)**2*c1
!       Metric(1,2)*c2
        if (last) VB_last = .true.
        wout = P1(:)*co(0)*(-P1(0)*w1(0) + P1(1)*w1(1) + P1(2)*w1(2) + P1(3)*w1&
               (3)) + co(1)*w1(:)*(-P1(0)**2 + P1(1)**2 + P1(2)**2 + P1(3)**2  &
               ) - co(2)*w1(:)
      case(VV1)
!       P(1,1)*P(2,1)*c0
!       Metric(1,2)*P(-1,1)**2*c1
        if (last) VB_last = .true.
        wout = P1(:)*co(0)*(-P1(0)*w1(0) + P1(1)*w1(1) + P1(2)*w1(2) + P1(3)*w1&
               (3)) + co(1)*w1(:)*(-P1(0)**2 + P1(1)**2 + P1(2)**2 + P1(3)**2)
      case(VV2)
!       P(1,1)*P(2,1)*c0
!       Metric(1,2)*P(-1,1)**2*c1
!       Metric(1,2)*c2
        if (last) VB_last = .true.
        wout = P1(:)*co(0)*(-P1(0)*w1(0) + P1(1)*w1(1) + P1(2)*w1(2) + P1(3)*w1&
               (3)) + co(1)*w1(:)*(-P1(0)**2 + P1(1)**2 + P1(2)**2 + P1(3)**2  &
               ) - co(2)*w1(:)
      case(VV3)
!       -P(1,2)*P(2,2)*c0
!       -P(1,1)*P(2,1)*c1
!       Metric(1,2)*P(-1,2)**2*c2
!       Metric(1,2)*P(-1,1)**2*c3
!       Metric(1,2)*c4
        if (last) VB_last = .true.
        wout = -P1(:)*(co(0) + co(1))*(-P1(0)*w1(0) + P1(1)*w1(1) + P1(2)*w1(2 &
               ) + P1(3)*w1(3)) - co(4)*w1(:) + w1(:)*(co(2) + co(3))*(-P1(0)**&
               2 + P1(1)**2 + P1(2)**2 + P1(3)**2)
      end select 
    end subroutine treeVV
end module tcVV
